from decimal import Decimal
import copy

drivers = [{'id': 1, 'time_slots': [[32400, 64800]], 'capacity': 3, 'speed': 30},
           {'id': 2, 'time_slots': [[32400, 64800]], 'capacity': 3, 'speed': 30},
           {'id': 3, 'time_slots': [[32400, 64800]], 'capacity': 3, 'speed': 30},
           {'id': 4, 'time_slots': [[32400, 64800]], 'capacity': 3, 'speed': 30},
           {'id': 5, 'time_slots': [[32400, 64800]], 'capacity': 3, 'speed': 30},
           {'id': 6, 'time_slots': [[32400, 64800]], 'capacity': 15, 'speed': 30},
           {'id': 7, 'time_slots': [[32400, 64800]], 'capacity': 15, 'speed': 30}]

locations = {'Fishermall, Diliman, Quezon City': {
    (32400, 36000): [{'address': 'Fishermall, Diliman, Quezon City', 'coordinates': [14.6336204, 121.0193792], 'delivery_window': [32400, 36000], 'capacity': 0, 'order_time': 0}, 
                     {'address': 'Pacific Rim Cor. Commerce Ave., Filinvest City, Alabang, Muntinlupa City, 1781 Metro Manila, Philippines', 'coordinates': [14.4200106, 121.033259], 'delivery_window': [39600, 46800], 'capacity': 1, 'order_time': 0, 'ref': '1000005264'},
                     {'address': '4 Kamias Rd, Diliman, Quezon City, Metro Manila', 'coordinates': [14.6310151, 121.0467182], 'delivery_window': [39600, 46800], 'capacity': 1, 'order_time': 0, 'ref': '1000005265'},
                     {'address': '30 Humility St Multinational Village, Paranaque', 'coordinates': [14.4804117, 121.0048727], 'delivery_window': [39600, 46800], 'capacity': 1, 'order_time': 0, 'ref': '1000005268'},
                     {'address': 'Blk 6 lot 13 kalayaan village, brgy. 201, Pasay', 'coordinates': [14.507602, 121.029081], 'delivery_window': [39600, 46800], 'capacity': 2, 'order_time': 0, 'ref': '1000005274'}, 
                     {'address': 'Barangay 34, Maypajo, Caloocan, Metro Manila, Philippines', 'coordinates': [14.6367721, 120.9729332], 'delivery_window': [39600, 46800], 'capacity': 2, 'order_time': 0, 'ref': '1000005183'},
                     {'address': '2611 Taft Ave, Barangay 68, Pasay City', 'coordinates': [14.5783882, 120.986897], 'delivery_window': [39600, 46800], 'capacity': 2, 'order_time': 0, 'ref': '1000005184'}, 
                     {'address': '1838 Yakal St, Manila, 237', 'coordinates': [14.6156181, 120.9790745], 'delivery_window': [39600, 46800], 'capacity': 4, 'order_time': 0, 'ref': '1000005186'}, 
                     {'address': '1838 Yakal St 237, Manila', 'coordinates': [14.6156181, 120.9790745], 'delivery_window': [39600, 46800], 'capacity': 4, 'order_time': 0, 'ref': '1000005188'},
                     {'address': '18 Molave St., Marietta-Romeo Village, Brgy Sta Lucia, Pasig', 'coordinates': [14.5815801, 121.1017699], 'delivery_window': [39600, 46800], 'capacity': 1, 'order_time': 0, 'ref': '1000005189'},
                     {'address': '86E Cotabato St.\nBago Bantay\nAlicia, Quezon City', 'coordinates': [14.6619823, 121.0235792], 'delivery_window': [39600, 46800], 'capacity': 1, 'order_time': 0, 'ref': '1000005190'},
                     {'address': 'BLK 10 Lot 7 Cor Chesa St Model Community, Bgy 120, Zone 009 Tondo, Manila, Philippines', 'coordinates': [14.6205654, 120.9659653], 'delivery_window': [39600, 46800], 'capacity': 1, 'order_time': 0, 'ref': '1000005192'}, 
                     {'address': 'Le Gran Condominium Eisenhower St. Greenhills, San Juan', 'coordinates': [14.607297, 121.048476], 'delivery_window': [39600, 46800], 'capacity': 1, 'order_time': 0, 'ref': '1000005205'},
                     {'address': '1838 Yakal St 237, Manila', 'coordinates': [14.6156181, 120.9790745], 'delivery_window': [39600, 46800], 'capacity': 3, 'order_time': 0, 'ref': '1000005211'}, 
                     {'address': '1838 Yakal St 237, Manila', 'coordinates': [14.6156181, 120.9790745], 'delivery_window': [39600, 46800], 'capacity': 4, 'order_time': 0, 'ref': '1000005224'}, 
                     {'address': '1320 CP Garcia St Moriones, Bgy 123, Zone 009 Tondo, Manila', 'coordinates': [14.6096907, 120.9618301], 'delivery_window': [39600, 46800], 'capacity':2, 'order_time': 0, 'ref': '1000005225'}, 
                     {'address': 'Fairways Towers 5th Avenue corner McKinley Road, Taguig\nUnit N 15A/15/Fairways Towers', 'coordinates': [14.545619, 121.0454128], 'delivery_window': [39600, 46800], 'capacity': 1, 'order_time': 0, 'ref': '1000005229'}, 
                     {'address': '1310 C. P. Garcia Street, Tondo, Manila, Metro Manila, Philippines', 'coordinates': [14.6105919, 120.9617521], 'delivery_window': [39600, 46800], 'capacity': 1, 'order_time': 0, 'ref': '1000005233'}, 
                     {'address': '1320 CP Garcia St Moriones, Bgy 123, Zone 009 Tondo, Manila', 'coordinates': [14.6096907, 120.9618301], 'delivery_window': [39600, 46800], 'capacity': 2, 'order_time': 0, 'ref': '1000005236'}, 
                     {'address': '2176 Jesus St pandacan manila', 'coordinates': [14.5926865, 121.0044297], 'delivery_window': [39600, 46800], 'capacity': 1, 'order_time': 0, 'ref': '1000005243'}, 
                     {'address': '156 Session Road Quezon City Batasan Hills', 'coordinates': [14.6797936, 121.1032391], 'delivery_window': [39600, 46800], 'capacity': 1, 'order_time': 0, 'ref': '1000005250'}, 
                     {'address': '1838 Yakal St 237, Manila', 'coordinates': [14.6156181, 120.9790745], 'delivery_window': [39600, 46800], 'capacity': 5, 'order_time': 0, 'ref': '1000005254'}], 
    (39600, 43200): [{'address': 'Fishermall, Diliman, Quezon City', 'coordinates': [14.6336204, 121.0193792],'delivery_window': [39600, 43200], 'capacity': 0, 'order_time': 0}, 
                     {'address': 'Anaheim 2, California Garden Square, D.M. Guevara St., Highway Hills, Mandaluyong', 'coordinates': [14.5786156, 121.047485], 'delivery_window': [46800, 57600], 'capacity': 2, 'order_time': 0, 'ref': '1000005266'}, 
                     {'address': 'Lebanon Street Don Bosco, Paranaque', 'coordinates': [14.4786895, 121.0327488], 'delivery_window': [46800, 57600], 'capacity': 1, 'order_time': 0, 'ref': '1000005228'}], 
    (57600, 61200): [{'address': 'Fishermall, Diliman, Quezon City', 'coordinates': [14.6336204, 121.0193792], 'delivery_window': [57600, 61200], 'capacity': 0, 'order_time': 0}, 
                     {'address': '940, Maligaya Street, Manila', 'coordinates': [14.5665457, 120.9952634], 'delivery_window': [64800, 72000], 'capacity': 1, 'order_time': 0, 'ref': '1000005242'}, 
                     {'address': '1838 Yakal St 237, Manila', 'coordinates': [14.6156181, 120.9790745], 'delivery_window': [64800, 72000], 'capacity': 5, 'order_time': 0, 'ref': '1000005255'}, 
                     {'address': '1838 Yakal St 237, Manila', 'coordinates': [14.6156181, 120.9790745], 'delivery_window': [75600, 82800], 'capacity': 5, 'order_time': 0, 'ref': '1000005257'}], 
    (50400, 54000): [{'address': 'Fishermall, Diliman, Quezon City', 'coordinates': [14.6336204, 121.0193792], 'delivery_window': [50400, 54000], 'capacity': 0, 'order_time': 0}, 
                     {'address': '81F Madasalin St Teachers Village East Diliman, Quezon City', 'coordinates': [14.6410582, 121.0591618], 'delivery_window': [57600, 64800], 'capacity': 2, 'order_time': 0, 'ref': '1000025061'}]}}

drivers2 = [{'id': 10714, 'time_slots': [[36000, 46920], [81000, 91000]], 'capacity': 100, 'speed': 30},
            {'id': 10715, 'time_slots': [[28800, 32280]], 'capacity': 100, 'speed': 30}, 
            {'id': 10716, 'time_slots': [[36060, 46920]], 'capacity': 100, 'speed': 30}, 
            {'id': 10717, 'time_slots': [[34200, 66600]], 'capacity': 100, 'speed': 30}, 
            {'id': 10718, 'time_slots': [[34200, 66600]], 'capacity': 100, 'speed': 30}, 
            {'id': 10720, 'time_slots': [[32400, 64800]], 'capacity': 100, 'speed': 30}, 
            {'id': 10721, 'time_slots': [[32400, 64800]], 'capacity': 100, 'speed': 30}, 
            {'id': 10722, 'time_slots': [[32400, 64800]], 'capacity': 100, 'speed': 30}, 
            {'id': 10723, 'time_slots': [[32400, 64800]], 'capacity': 100, 'speed': 30}, 
            {'id': 10724, 'time_slots': [[32400, 64800]], 'capacity': 100, 'speed': 30}, 
            {'id': 10725, 'time_slots': [[32400, 64800]], 'capacity': 100, 'speed': 30}, 
            {'id': 10726, 'time_slots': [[50400, 82800]], 'capacity': 100, 'speed': 30}, 
            {'id': 10727, 'time_slots': [[50400, 82800]], 'capacity': 100, 'speed': 30}, 
            {'id': 10728, 'time_slots': [[50400, 82800]], 'capacity': 100, 'speed': 30}, 
            {'id': 10729, 'time_slots': [[50400, 82800]], 'capacity': 100, 'speed': 30}, 
            {'id': 10730, 'time_slots': [[50400, 82800]], 'capacity': 100, 'speed': 30}, 
            {'id': 10731, 'time_slots': [[43200, 79200]], 'capacity': 100, 'speed': 30}, 
            {'id': 10732, 'time_slots': [[43200, 79200]], 'capacity': 100, 'speed': 30}, 
            {'id': 10733, 'time_slots': [[43200, 79200]], 'capacity': 100, 'speed': 30}, 
            {'id': 10734, 'time_slots': [[43200, 79200]], 'capacity': 100, 'speed': 30}, 
            {'id': 10735, 'time_slots': [[43200, 79200]], 'capacity': 100, 'speed': 30}, 
            {'id': 10736, 'time_slots': [[43200, 79200]], 'capacity': 100, 'speed': 30}, 
            {'id': 10737, 'time_slots': [[45000, 81000]], 'capacity': 100, 'speed': 30},
            {'id': 10738, 'time_slots': [[45000, 81000]], 'capacity': 100, 'speed': 30}, 
            {'id': 10739, 'time_slots': [[45000, 81000]], 'capacity': 100, 'speed': 30}, 
            {'id': 10740, 'time_slots': [[45000, 81000]], 'capacity': 100, 'speed': 30}, 
            {'id': 10741, 'time_slots': [[20000, 80000]], 'capacity': 100, 'speed': 30}]

locations2 = {('1.463877000000025', '103.80627900000007'): {
    (32280, 35880): [{'pickup_location': [Decimal('1.463877000000025'), Decimal('103.80627900000007')], 
                        'ref': '31849', 
                        'order_time': 0, 
                        'delivery_window': [32280, 35880], 
                        'capacity': 0, 
                        'coordinates': [Decimal('1.463877000000025'), Decimal('103.80627900000007')], 
                        'address': '58 Senoko Drive Singapore'}, 
                        {'pickup_location': [Decimal('1.463877000000025'), Decimal('103.80627900000007')], 
                        'pickup_address': '58 Senoko Drive Singapore', 
                        'pickup_window': [32280, 35880], 
                        'ref': '31849', 'order_time': 0, 
                        'delivery_window': [31680, 60480], 
                        'capacity': 1, 
                        'coordinates': [Decimal('1.2849899230000688'), Decimal('103.83309993300009')], 
                        'address': 'TIONG BAHRU MARKET'}], 
    (32400, 36000): [{'pickup_location': [Decimal('1.463877000000025'), Decimal('103.80627900000007')], 
                        'ref': '31850', 
                        'order_time': 0, 
                        'delivery_window': [32400, 36000], 
                        'capacity': 0, 
                        'coordinates': [Decimal('1.463877000000025'), Decimal('103.80627900000007')], 
                        'address': '58 Senoko Drive Singapore'}, 
                        {'pickup_location': [Decimal('1.463877000000025'), Decimal('103.80627900000007')], 
                        'pickup_address': '58 Senoko Drive Singapore', 
                        'pickup_window': [32400, 36000], 
                        'ref': '31850', 
                        'order_time': 0, 
                        'delivery_window': [36000, 64800], 
                        'capacity': 1, 
                        'coordinates': [Decimal('1.3679500000000644'), Decimal('103.83866000000006')], 
                        'address': 'ANG MO KIO AVE 4 BLK 628'}, 
                        {'pickup_location': [Decimal('1.463877000000025'), Decimal('103.80627900000007')],
                        'pickup_address': '58 Senoko Drive Singapore', 
                        'pickup_window': [32400, 36000], 
                        'ref': '31851', 
                        'order_time': 0, 
                        'delivery_window': [36000, 64800], 
                        'capacity': 1, 
                        'coordinates': [Decimal('1.3679500000000644'), Decimal('103.83866000000006')], 
                        'address': 'ANG MO KIO ST'},
                        {'pickup_location': [Decimal('1.463877000000025'), Decimal('103.80627900000007')],
                        'pickup_address': '58 Senoko Drive Singapore',
                        'pickup_window': [32400, 36000],
                        'ref': '31852',
                        'order_time': 0,
                        'delivery_window': [36000, 64800],
                        'capacity': 1,
                        'coordinates': [Decimal('1.286920000000066'), Decimal('103.80747000000008')],
                        'address': 'JALAN BUKIT MERAH'}, 
                        {'pickup_location': [Decimal('1.463877000000025'), Decimal('103.80627900000007')], 
                        'pickup_address': '58 Senoko Drive Singapore', 
                        'pickup_window': [32400, 36000], 
                        'ref': '31853', 
                        'order_time': 0, 
                        'delivery_window': [36000, 64800], 
                        'capacity': 1, 
                        'coordinates': [Decimal('1.2828600000000279'), Decimal('103.82203000000004')], 
                        'address': 'BUKIT MERAH VIEW 01-63 BLK115'},
                        {'pickup_location': [Decimal('1.463877000000025'), Decimal('103.80627900000007')],
                        'pickup_address': '58 Senoko Drive Singapore',
                        'pickup_window': [32400, 36000],
                        'ref': '31854',
                        'order_time': 0,
                        'delivery_window': [36000, 64800],
                        'capacity': 1,
                        'coordinates': [Decimal('1.3679500000000644'), Decimal('103.83866000000006')],
                        'address': 'BLK 232 ANG MO KIO AVE 3'},
                        {'pickup_location': [Decimal('1.463877000000025'), Decimal('103.80627900000007')],
                         'pickup_address': '58 Senoko Drive Singapore',
                         'pickup_window': [32400, 36000],
                         'ref': '31855',
                         'order_time': 0,
                         'delivery_window': [36000, 64800],
                         'capacity': 1,
                         'coordinates': [Decimal('1.2849899230000688'), Decimal('103.83309993300009')],
                         'address': 'TIONG BAHRU MARKET'}, 
                        {'pickup_location': [Decimal('1.463877000000025'), Decimal('103.80627900000007')],
                         'pickup_address': '58 Senoko Drive Singapore',
                         'pickup_window': [32400, 36000],
                         'ref': '31856',
                         'order_time': 0,
                         'delivery_window': [36000, 64800],
                         'capacity': 1,
                         'coordinates': [Decimal('1.2849600000000692'), Decimal('103.84602000000007')],
                         'address': 'BLK 531 A UPPER CROSS STREET'}, 
                        {'pickup_location': [Decimal('1.463877000000025'), Decimal('103.80627900000007')],
                         'pickup_address': '58 Senoko Drive Singapore',
                         'pickup_window': [32400, 36000],
                         'ref': '31857',
                         'order_time': 0,
                         'delivery_window': [36000, 64800],
                         'capacity': 1,
                         'coordinates': [Decimal('1.371810000000039'), Decimal('103.84474000000006')],
                         'address': 'ANG MO KIO ST.31 BLK-341 #01-82'}, 
                        {'pickup_location': [Decimal('1.463877000000025'), Decimal('103.80627900000007')],
                         'pickup_address': '58 Senoko Drive Singapore',
                         'pickup_window': [32400, 36000],
                         'ref': '31858', 'order_time': 0,
                         'delivery_window': [36000, 64800],
                         'capacity': 1,
                         'coordinates': [Decimal('1.286920000000066'), Decimal('103.80747000000008')],
                         'address': 'JALAN BUKIT MERAH BLK 148'}, 
                        {'pickup_location': [Decimal('1.463877000000025'), Decimal('103.80627900000007')],
                         'pickup_address': '58 Senoko Drive Singapore',
                         'pickup_window': [32400, 36000],
                         'ref': '31859',
                         'order_time': 0,
                         'delivery_window': [36000, 64800],
                         'capacity': 1,
                         'coordinates': [Decimal('1.2873400000000288'), Decimal('103.81883992900003')],
                         'address': 'RED HILL BLK 79'}, 
                        {'pickup_location': [Decimal('1.463877000000025'), Decimal('103.80627900000007')],
                         'pickup_address': '58 Senoko Drive Singapore',
                         'pickup_window': [32400, 36000],
                         'ref': '31860',
                         'order_time': 0,
                         'delivery_window': [34200, 63000],
                         'capacity': 1,
                         'coordinates': [Decimal('1.3725600260000306'), Decimal('103.82868006600006')],
                         'address': 'SEMBAWANG HILL FOOD CENTER'}, 
                        {'pickup_location': [Decimal('1.463877000000025'), Decimal('103.80627900000007')],
                         'pickup_address': '58 Senoko Drive Singapore',
                         'pickup_window': [32400, 36000],
                         'ref': '31861',
                         'order_time': 0,
                         'delivery_window': [36000, 64800],
                         'capacity': 1,
                         'coordinates': [Decimal('1.3033400000000483'), Decimal('103.85340000000008')],
                         'address': 'SIM LIM SQUARE #BI-25'}]}, 
('1.2882240000000706', '103.84713900000008'): {
    (32400, 36000): [{'pickup_location': [Decimal('1.2882240000000706'), Decimal('103.84713900000008')], 
                        'ref': '31862', 
                        'order_time': 0, 
                        'delivery_window': [32400, 36000], 
                        'capacity': 0, 
                        'coordinates': [Decimal('1.2882240000000706'), Decimal('103.84713900000008')], 
                        'address': '45 New Bridge Road Singapore'}, 
                        {'pickup_location': [Decimal('1.2882240000000706'), Decimal('103.84713900000008')],
                         'pickup_address': '45 New Bridge Road Singapore', 'pickup_window': [32400, 36000],
                         'ref': '31862', 'order_time': 0, 'delivery_window': [36000, 64800], 'capacity': 1,
                         'coordinates': [Decimal('1.3679500000000644'), Decimal('103.83866000000006')], 'address': 'BLK 162 ANG MO KIO AVE 4'}, 
                        {'pickup_location': [Decimal('1.2882240000000706'), Decimal('103.84713900000008')],
                         'pickup_address': '45 New Bridge Road Singapore', 'pickup_window': [32400, 36000],
                         'ref': '31863', 'order_time': 0, 'delivery_window': [36000, 64800], 'capacity': 1,
                         'coordinates': [Decimal('1.3066727810000316'), Decimal('103.85079553500009')], 'address': 'Buffalo Road, Singapore'}, 
                        {'pickup_location': [Decimal('1.2882240000000706'), Decimal('103.84713900000008')],
                         'pickup_address': '45 New Bridge Road Singapore', 'pickup_window': [32400, 36000],
                         'ref': '31864', 'order_time': 0, 'delivery_window': [36000, 64800], 'capacity': 1,
                         'coordinates': [Decimal('1.2828600000000279'), Decimal('103.82203000000004')], 'address': 'BLK 115 BUKIT MERAH VIEW #01-59'}, 
                        {'pickup_location': [Decimal('1.2882240000000706'), Decimal('103.84713900000008')],
                         'pickup_address': '45 New Bridge Road Singapore', 'pickup_window': [32400, 36000],
                         'ref': '31865', 'order_time': 0, 'delivery_window': [36000, 64800], 'capacity': 1,
                         'coordinates': [Decimal('1.2849899230000688'), Decimal('103.83309993300009')], 'address': 'TIONG BAHRU MARKET'}, 
                        {'pickup_location': [Decimal('1.2882240000000706'), Decimal('103.84713900000008')],
                         'pickup_address': '45 New Bridge Road Singapore', 'pickup_window': [32400, 36000],
                         'ref': '31866', 'order_time': 0, 'delivery_window': [36000, 64800], 'capacity': 1,
                         'coordinates': [Decimal('1.303490044000057'), Decimal('103.76398007100005')], 'address': 'BLK 320 SHUN FU RD'}, 
                        {'pickup_location': [Decimal('1.2882240000000706'), Decimal('103.84713900000008')],
                         'pickup_address': '45 New Bridge Road Singapore', 'pickup_window': [32400, 36000],
                         'ref': '31867', 'order_time': 0, 'delivery_window': [36000, 64800], 'capacity': 1,
                         'coordinates': [Decimal('1.2931500550000692'), Decimal('103.85283000500004')], 'address': 'BLK 116 JALAN TENTERAM'}, 
                        {'pickup_location': [Decimal('1.2882240000000706'), Decimal('103.84713900000008')],
                         'pickup_address': '45 New Bridge Road Singapore', 'pickup_window': [32400, 36000],
                         'ref': '31868', 'order_time': 0, 'delivery_window': [36000, 64800], 'capacity': 1,
                         'coordinates': [Decimal('1.2880999480000241'), Decimal('103.81817004800007')], 'address': 'BLK 85 REDHIL MARKET'}, 
                        {'pickup_location': [Decimal('1.2882240000000706'), Decimal('103.84713900000008')], 'pickup_address': '45 New Bridge Road Singapore', 'pickup_window': [32400, 36000], 'ref': '31869', 'order_time': 0, 'delivery_window': [36000, 64800], 'capacity': 1, 'coordinates': [Decimal('1.282309984000051'), Decimal('103.85996992800006')], 'address': '101 UPPER CROSS ST 摊位 6 号'}, 
                        {'pickup_location': [Decimal('1.2882240000000706'), Decimal('103.84713900000008')], 'pickup_address': '45 New Bridge Road Singapore', 'pickup_window': [32400, 36000], 'ref': '31870', 'order_time': 0, 'delivery_window': [36000, 64800], 'capacity': 1, 'coordinates': [Decimal('1.2990780000000655'), Decimal('103.83874650000007')], 'address': 'Comcentre, Singapore'}, 
                        {'pickup_location': [Decimal('1.2882240000000706'), Decimal('103.84713900000008')], 'pickup_address': '45 New Bridge Road Singapore', 'pickup_window': [32400, 36000], 'ref': '31871', 'order_time': 0, 'delivery_window': [36000, 64800], 'capacity': 1, 'coordinates': [Decimal('1.3622100160000628'), Decimal('103.85508000800007')], 'address': '1 KADAYANALLUR STREET'}, 
                        {'pickup_location': [Decimal('1.2882240000000706'), Decimal('103.84713900000008')],
                         'pickup_address': '45 New Bridge Road Singapore',
                         'pickup_window': [32400, 36000],
                         'ref': '31872',
                         'order_time': 0,
                         'delivery_window': [36000, 64800],
                         'capacity': 1,
                         'coordinates': [Decimal('1.2799000340000362'), Decimal('103.84721994900008')],
                         'address': 'MOSQUE ST NO. 41'},
                        {'pickup_location': [Decimal('1.2882240000000706'), Decimal('103.84713900000008')],
                         'pickup_address': '45 New Bridge Road Singapore',
                         'pickup_window': [32400, 36000],
                         'ref': '31873',
                         'order_time': 0,
                         'delivery_window': [36000, 64800],
                         'capacity': 1,
                         'coordinates': [Decimal('1.2852644430000737'), Decimal('103.83167645500004')],
                         'address': 'Lim Liak Street, Singapore'}]}}


drivers_merge = [{'id': 1, 'time_slots': [[32400, 64800]], 'capacity': 15, 'speed': 30},            
           {'id': 2, 'time_slots': [[32400, 83800]], 'capacity': 15, 'speed': 30}, 
           {'id': 3, 'time_slots': [[32400, 83800]], 'capacity': 15, 'speed': 30}, 
           {'id': 4, 'time_slots': [[32400, 83800]], 'capacity': 15, 'speed': 30}, 
           {'id': 5, 'time_slots': [[32400, 83800]], 'capacity': 15, 'speed': 30},
           {'id': 6, 'time_slots': [[32400, 83800]], 'capacity': 20, 'speed': 30},
           {'id': 7, 'time_slots': [[32400, 83800]], 'capacity': 20, 'speed': 30}]

locations_merge = {'Fishermall, Diliman, Quezon City': {
    (32400, 36000): [{'address': 'Fishermall, Diliman, Quezon City',
                      'coordinates': [14.6336204, 121.0193792],
                      'delivery_window': [32400, 36000],
                      'capacity': 0,
                      'order_time': 0}, 
                     {'address': 
                      'Pacific Rim Cor. Commerce Ave., Filinvest City, Alabang, Muntinlupa City, 1781 Metro Manila, Philippines',
                      'coordinates': [14.4200106, 121.033259],
                      'delivery_window': [39600, 46800],
                      'capacity': 1,
                      'order_time': 0,
                      'ref': '1000005264'}, 
                     {'address': '4 Kamias Rd, Diliman, Quezon City, Metro Manila',
                      'coordinates': [14.6310151, 121.0467182],
                      'delivery_window': [39600, 46800],
                      'capacity': 1,
                      'order_time': 0,
                      'ref': '1000005265'}, 
                     {'address': '30 Humility St Multinational Village, Paranaque',
                      'coordinates': [14.4804117, 121.0048727],
                      'delivery_window': [39600, 46800],
                      'capacity': 1,
                      'order_time': 0,
                      'ref': '1000005268'}, 
                     {'address': 'Blk 6 lot 13 kalayaan village, brgy. 201, Pasay',
                      'coordinates': [14.507602, 121.029081],
                      'delivery_window': [39600, 46800],
                      'capacity': 2,
                      'order_time': 0,
                      'ref': '1000005274'}, 
                     {'address': 'Barangay 34, Maypajo, Caloocan, Metro Manila, Philippines', 'coordinates': [14.6367721, 120.9729332], 'delivery_window': [39600, 46800], 'capacity': 2, 'order_time': 0, 'ref': '1000005183'}, 
                     {'address': '2611 Taft Ave, Barangay 68, Pasay City', 'coordinates': [14.5783882, 120.986897], 'delivery_window': [39600, 46800], 'capacity': 2, 'order_time': 0, 'ref': '1000005184'}, 
                     {'address': '1838 Yakal St, Manila, 237', 'coordinates': [14.6156181, 120.9790745], 'delivery_window': [39600, 46800], 'capacity': 4, 'order_time': 0, 'ref': '1000005186'}, 
                     {'address': '1838 Yakal St 237, Manila', 'coordinates': [14.6156181, 120.9790745], 'delivery_window': [39600, 46800], 'capacity': 4, 'order_time': 0, 'ref': '1000005188'},
                     {'address': '18 Molave St., Marietta-Romeo Village, Brgy Sta Lucia, Pasig', 'coordinates': [14.5815801, 121.1017699], 'delivery_window': [39600, 46800], 'capacity': 1, 'order_time': 0, 'ref': '1000005189'}, 
                     {'address': '86E Cotabato St.\nBago Bantay\nAlicia, Quezon City',
                      'coordinates': [14.6619823, 121.0235792],
                      'delivery_window': [39600, 46800],
                      'capacity': 1,
                      'order_time': 0,
                      'ref': '1000005190'}, 
                     {'address': 'BLK 10 Lot 7 Cor Chesa St Model Community, Bgy 120, Zone 009 Tondo, Manila, Philippines',
                      'coordinates': [14.6205654, 120.9659653],
                      'delivery_window': [39600, 46800],
                      'capacity': 1,
                      'order_time': 0,
                      'ref': '1000005192'}, 
                     {'address': 'Le Gran Condominium Eisenhower St. Greenhills, San Juan', 'coordinates': [14.607297, 121.048476], 'delivery_window': [39600, 46800], 'capacity': 1, 'order_time': 0, 'ref': '1000005205'}, 
                     {'address': '1838 Yakal St 237, Manila', 'coordinates': [14.6156181, 120.9790745], 'delivery_window': [39600, 46800], 'capacity': 3, 'order_time': 0, 'ref': '1000005211'}, 
                     {'address': '1838 Yakal St 237, Manila', 'coordinates': [14.6156181, 120.9790745], 'delivery_window': [39600, 46800], 'capacity': 4, 'order_time': 0, 'ref': '1000005224'}, 
                     {'address': '1320 CP Garcia St Moriones, Bgy 123, Zone 009 Tondo, Manila', 'coordinates': [14.6096907, 120.9618301], 'delivery_window': [39600, 46800], 'capacity':2, 'order_time': 0, 'ref': '1000005225'}, 
                     {'address': 'Fairways Towers 5th Avenue corner McKinley Road, Taguig\nUnit N 15A/15/Fairways Towers', 'coordinates': [14.545619, 121.0454128], 'delivery_window': [39600, 46800], 'capacity': 1, 'order_time': 0, 'ref': '1000005229'}, 
                     {'address': '1310 C. P. Garcia Street, Tondo, Manila, Metro Manila, Philippines', 'coordinates': [14.6105919, 120.9617521], 'delivery_window': [39600, 46800], 'capacity': 1, 'order_time': 0, 'ref': '1000005233'}, 
                     {'address': '1320 CP Garcia St Moriones, Bgy 123, Zone 009 Tondo, Manila', 'coordinates': [14.6096907, 120.9618301], 'delivery_window': [39600, 46800], 'capacity': 2, 'order_time': 0, 'ref': '1000005236'}, 
                     {'address': '2176 Jesus St pandacan manila', 'coordinates': [14.5926865, 121.0044297], 'delivery_window': [39600, 46800], 'capacity': 1, 'order_time': 0, 'ref': '1000005243'}, 
                     {'address': '156 Session Road Quezon City Batasan Hills', 'coordinates': [14.6797936, 121.1032391], 'delivery_window': [39600, 46800], 'capacity': 1, 'order_time': 0, 'ref': '1000005250'}, 
                     {'address': '1838 Yakal St 237, Manila', 'coordinates': [14.6156181, 120.9790745], 'delivery_window': [39600, 46800], 'capacity': 5, 'order_time': 0, 'ref': '1000005254'}], 
    (32000, 38600): [{'address': 'Fishermall, Diliman, Quezon City', 'coordinates': [14.6336204, 121.0193792],'delivery_window': [39600, 43200], 'capacity': 0, 'order_time': 0}, 
                     {'address': 'Anaheim 2, California Garden Square, D.M. Guevara St., Highway Hills, Mandaluyong', 'coordinates': [14.5786156, 121.047485], 'delivery_window': [46800, 52600], 'capacity': 2, 'order_time': 0, 'ref': '1000005266'}, 
                     {'address': 'Lebanon Street Don Bosco, Paranaque', 'coordinates': [14.4786895, 121.0327488], 'delivery_window': [46800, 52600], 'capacity': 1, 'order_time': 0, 'ref': '1000005228'}], 
    (62400, 64000): [{'address': 'Fishermall, Diliman, Quezon City', 'coordinates': [14.6336204, 121.0193792], 'delivery_window': [64000, 72000], 'capacity': 0, 'order_time': 0}, 
                     {'address': '940, Maligaya Street, Manila', 'coordinates': [14.5665457, 120.9952634], 'delivery_window': [64800, 72000], 'capacity': 1, 'order_time': 0, 'ref': '1000005242'}, 
                     {'address': '1838 Yakal St 237, Manila', 'coordinates': [14.6156181, 120.9790745], 'delivery_window': [64800, 72000], 'capacity': 5, 'order_time': 0, 'ref': '1000005255'}, 
                     {'address': '1838 Yakal St 237, Manila', 'coordinates': [14.6156181, 120.9790745], 'delivery_window': [75600, 82800], 'capacity': 5, 'order_time': 0, 'ref': '1000005257'}], 
    (50400, 54000): [{'address': 'Fishermall, Diliman, Quezon City',
                      'coordinates': [14.6336204, 121.0193792],
                      'delivery_window': [50400, 54000],
                      'capacity': 0,
                      'order_time': 0}, 
                     {'address': '81F Madasalin St Teachers Village East Diliman, Quezon City',
                      'coordinates': [14.6410582, 121.0591618],
                      'delivery_window': [57600, 64800],
                      'capacity': 2,
                      'order_time': 0,
                      'ref': '1000025061'}]}}

drivers3 = [{'id': 10714, 'time_slots': [[32400, 64800]], 'capacity': 100, 'speed': 30}, {'id': 10715, 'time_slots': [[0, 14400]], 'capacity': 100, 'speed': 30}, {'id': 10716, 'time_slots': [[32400, 64800]], 'capacity': 100, 'speed': 30}, {'id': 10717, 'time_slots': [[32400, 64800]], 'capacity': 100, 'speed': 30}, {'id': 10718, 'time_slots': [[32400, 64800]], 'capacity': 100, 'speed': 30}, {'id': 10719, 'time_slots': [[32400, 64800]], 'capacity': 100, 'speed': 30}, {'id': 10720, 'time_slots': [[32400, 64800]], 'capacity': 100, 'speed': 30}, {'id': 10721, 'time_slots': [[32400, 64800]], 'capacity': 100, 'speed': 30}, {'id': 10722, 'time_slots': [[32400, 64800]], 'capacity': 100, 'speed': 30}, {'id': 10723, 'time_slots': [[32400, 64800]], 'capacity': 100, 'speed': 30}, {'id': 10724, 'time_slots': [[32400, 64800]], 'capacity': 100, 'speed': 30}, {'id': 10725, 'time_slots': [[32400, 64800]], 'capacity': 100, 'speed': 30}, {'id': 10726, 'time_slots': [[32400, 64800]], 'capacity': 100, 'speed': 30}, {'id': 10727, 'time_slots': [[32400, 64800]], 'capacity': 100, 'speed': 30}, {'id': 10728, 'time_slots': [[32400, 64800]], 'capacity': 100, 'speed': 30}, {'id': 10729, 'time_slots': [[32400, 64800]], 'capacity': 100, 'speed': 30}, {'id': 10730, 'time_slots': [[32400, 64800]], 'capacity': 100, 'speed': 30}, {'id': 10731, 'time_slots': [[32400, 64800]], 'capacity': 100, 'speed': 30}, {'id': 10732, 'time_slots': [[32400, 64800]], 'capacity': 100, 'speed': 30}, {'id': 10733, 'time_slots': [[32400, 64800]], 'capacity': 100, 'speed': 30}, {'id': 10734, 'time_slots': [[43200, 79200]], 'capacity': 100, 'speed': 30}, {'id': 10735, 'time_slots': [[43200, 79200]], 'capacity': 100, 'speed': 30}, {'id': 10736, 'time_slots': [[43200, 79200]], 'capacity': 100, 'speed': 30}, {'id': 10737, 'time_slots': [[45000, 81000]], 'capacity': 100, 'speed': 30}, {'id': 10738, 'time_slots': [[45000, 81000]], 'capacity': 100, 'speed': 30}, {'id': 10739, 'time_slots': [[45000, 81000]], 'capacity': 100, 'speed': 30}, {'id': 10740, 'time_slots': [[45000, 81000]], 'capacity': 100, 'speed': 30}, {'id': 10741, 'time_slots': [[27000, 81000]], 'capacity': 100, 'speed': 30}, {'id': 10799, 'time_slots': [[27000, 81000]], 'capacity': 100, 'speed': 30}, {'id': 10809, 'time_slots': [[27000, 81000]], 'capacity': 100, 'speed': 30}, {'id': 10899, 'time_slots': [[27000, 81000]], 'capacity': 100, 'speed': 30}, {'id': 10999, 'time_slots': [[27000, 81000]], 'capacity': 100, 'speed': 30}, {'id': 10911, 'time_slots': [[27000, 81000]], 'capacity': 100, 'speed': 30}, {'id': 10921, 'time_slots': [[27000, 81000]], 'capacity': 100, 'speed': 30}, {'id': 10922, 'time_slots': [[27000, 81000]], 'capacity': 100, 'speed': 30}, {'id': 10933, 'time_slots': [[32400, 64800]], 'capacity': 100, 'speed': 30}, {'id': 10944, 'time_slots': [[32400, 64800]], 'capacity': 200, 'speed': 30}, {'id': 10942, 'time_slots': [[27000, 81000]], 'capacity': 100, 'speed': 30}, {'id': 10943, 'time_slots': [[32400, 64800]], 'capacity': 100, 'speed': 30}, {'id': 10945, 'time_slots': [[32400, 64800]], 'capacity': 200, 'speed': 30}, {'id': 10946, 'time_slots': [[32400, 64800]], 'capacity': 200, 'speed': 30}, {'id': 10947, 'time_slots': [[32400, 64800]], 'capacity': 200, 'speed': 30}]

locations3 = {('1.3148910000000456', '103.76442000000009'): {(32400, 36000): [{'pickup_location': [Decimal('1.3148910000000456'), Decimal('103.76442000000009')], 'ref': '0', 'order_time': 0, 'delivery_window': [32400, 36000], 'capacity': 0, 'coordinates': [Decimal('1.3148910000000456'), Decimal('103.76442000000009')], 'address': '3155 Commonwealth Avenue West, Singapore'}, {'pickup_location': [Decimal('1.3148910000000456'), Decimal('103.76442000000009')], 'pickup_address': '3155 Commonwealth Avenue West, Singapore', 'pickup_window': [32400, 36000], 'ref': '35676', 'order_time': 0, 'delivery_window': [34200, 39600], 'capacity': 1, 'coordinates': [Decimal('1.378575000000069'), Decimal('103.93102800000008')], 'address': '3 PASIR RIS DRIVE 12, Singapore'}, {'pickup_location': [Decimal('1.3148910000000456'), Decimal('103.76442000000009')], 'pickup_address': '3155 Commonwealth Avenue West, Singapore', 'pickup_window': [32400, 36000], 'ref': '35677', 'order_time': 0, 'delivery_window': [39600, 46800], 'capacity': 1, 'coordinates': [Decimal('1.378575000000069'), Decimal('103.93102800000008')], 'address': '3 PASIR RIS DRIVE 12, Singapore'}, {'pickup_location': [Decimal('1.3148910000000456'), Decimal('103.76442000000009')], 'pickup_address': '3155 Commonwealth Avenue West, Singapore', 'pickup_window': [32400, 36000], 'ref': '35678', 'order_time': 0, 'delivery_window': [39600, 43200], 'capacity': 1, 'coordinates': [Decimal('1.3454730000000268'), Decimal('103.78981350000004')], 'address': '65 BUKIT TINGGI ROAD, Singapore'}, {'pickup_location': [Decimal('1.3148910000000456'), Decimal('103.76442000000009')], 'pickup_address': '3155 Commonwealth Avenue West, Singapore', 'pickup_window': [32400, 36000], 'ref': '35679', 'order_time': 0, 'delivery_window': [41400, 45000], 'capacity': 1, 'coordinates': [Decimal('1.3261770000000297'), Decimal('103.87957500000005')], 'address': '629 ALJUNIED ROAD, Singapore'}, {'pickup_location': [Decimal('1.3148910000000456'), Decimal('103.76442000000009')], 'pickup_address': '3155 Commonwealth Avenue West, Singapore', 'pickup_window': [32400, 36000], 'ref': '35680', 'order_time': 0, 'delivery_window': [43200, 50400], 'capacity': 1, 'coordinates': [Decimal('1.4509980000000269'), Decimal('103.81579200000004')], 'address': '21 ADMIRALTY DRIVE, Singapore'}, {'pickup_location': [Decimal('1.3148910000000456'), Decimal('103.76442000000009')], 'pickup_address': '3155 Commonwealth Avenue West, Singapore', 'pickup_window': [32400, 36000], 'ref': '35681', 'order_time': 0, 'delivery_window': [45000, 48600], 'capacity': 1, 'coordinates': [Decimal('1.283741'), Decimal('103.848941')], 'address': 'Singapore 049481'}, {'pickup_location': [Decimal('1.3148910000000456'), Decimal('103.76442000000009')], 'pickup_address': '3155 Commonwealth Avenue West, Singapore', 'pickup_window': [32400, 36000], 'ref': '35682', 'order_time': 0, 'delivery_window': [45000, 52200], 'capacity': 1, 'coordinates': [Decimal('1.3889610000000516'), Decimal('103.97961000000004')], 'address': '35 HENDON ROAD, Singapore'}, {'pickup_location': [Decimal('1.3148910000000456'), Decimal('103.76442000000009')], 'pickup_address': '3155 Commonwealth Avenue West, Singapore', 'pickup_window': [32400, 36000], 'ref': '35683', 'order_time': 0, 'delivery_window': [45000, 55800], 'capacity': 1, 'coordinates': [Decimal('1.282275'), Decimal('103.858322')], 'address': 'Singapore 018956'}, {'pickup_location': [Decimal('1.3148910000000456'), Decimal('103.76442000000009')], 'pickup_address': '3155 Commonwealth Avenue West, Singapore', 'pickup_window': [32400, 36000], 'ref': '35684', 'order_time': 0, 'delivery_window': [46800, 54000], 'capacity': 1, 'coordinates': [Decimal('1.308384'), Decimal('103.861858')], 'address': 'Singapore 200809'}, {'pickup_location': [Decimal('1.3148910000000456'), Decimal('103.76442000000009')], 'pickup_address': '3155 Commonwealth Avenue West, Singapore', 'pickup_window': [32400, 36000], 'ref': '35685', 'order_time': 0, 'delivery_window': [46800, 50400], 'capacity': 1, 'coordinates': [Decimal('1.32642'), Decimal('103.893332')], 'address': 'Singapore 408726'}, {'pickup_location': [Decimal('1.3148910000000456'), Decimal('103.76442000000009')], 'pickup_address': '3155 Commonwealth Avenue West, Singapore', 'pickup_window': [32400, 36000], 'ref': '35686', 'order_time': 0, 'delivery_window': [48600, 54000], 'capacity': 1, 'coordinates': [Decimal('1.295015'), Decimal('103.859897')], 'address': 'Singapore 038984'}, {'pickup_location': [Decimal('1.3148910000000456'), Decimal('103.76442000000009')], 'pickup_address': '3155 Commonwealth Avenue West, Singapore', 'pickup_window': [32400, 36000], 'ref': '35687', 'order_time': 0, 'delivery_window': [50400, 54000], 'capacity': 1, 'coordinates': [Decimal('1.300626'), Decimal('103.849458')], 'address': 'Singapore 188307'}, {'pickup_location': [Decimal('1.3148910000000456'), Decimal('103.76442000000009')], 'pickup_address': '3155 Commonwealth Avenue West, Singapore', 'pickup_window': [32400, 36000], 'ref': '35688', 'order_time': 0, 'delivery_window': [50400, 57600], 'capacity': 1, 'coordinates': [Decimal('1.283242'), Decimal('103.850837')], 'address': 'Singapore 048619'}, {'pickup_location': [Decimal('1.3148910000000456'), Decimal('103.76442000000009')], 'pickup_address': '3155 Commonwealth Avenue West, Singapore', 'pickup_window': [32400, 36000], 'ref': '35689', 'order_time': 0, 'delivery_window': [50400, 61200], 'capacity': 1, 'coordinates': [Decimal('1.294237'), Decimal('103.787106')], 'address': 'Singapore 139949'}, {'pickup_location': [Decimal('1.3148910000000456'), Decimal('103.76442000000009')], 'pickup_address': '3155 Commonwealth Avenue West, Singapore', 'pickup_window': [32400, 36000], 'ref': '35690', 'order_time': 0, 'delivery_window': [36000, 54000], 'capacity': 1, 'coordinates': [Decimal('1.314586'), Decimal('103.733639')], 'address': 'Singapore 609128'}, {'pickup_location': [Decimal('1.3148910000000456'), Decimal('103.76442000000009')], 'pickup_address': '3155 Commonwealth Avenue West, Singapore', 'pickup_window': [32400, 36000], 'ref': '35691', 'order_time': 0, 'delivery_window': [52200, 55800], 'capacity': 1, 'coordinates': [Decimal('1.3174445'), Decimal('103.8435719')], 'address': '101 Thomson Road Singapore'}, {'pickup_location': [Decimal('1.3148910000000456'), Decimal('103.76442000000009')], 'pickup_address': '3155 Commonwealth Avenue West, Singapore', 'pickup_window': [32400, 36000], 'ref': '35692', 'order_time': 0, 'delivery_window': [52200, 59400], 'capacity': 1, 'coordinates': [Decimal('1.378575000000069'), Decimal('103.93102800000008')], 'address': '3 PASIR RIS DRIVE 12, Singapore'}, {'pickup_location': [Decimal('1.3148910000000456'), Decimal('103.76442000000009')], 'pickup_address': '3155 Commonwealth Avenue West, Singapore', 'pickup_window': [32400, 36000], 'ref': '35693', 'order_time': 0, 'delivery_window': [52200, 57600], 'capacity': 1, 'coordinates': [Decimal('1.378575000000069'), Decimal('103.93102800000008')], 'address': '3 PASIR RIS DRIVE 12, Singapore'}, {'pickup_location': [Decimal('1.3148910000000456'), Decimal('103.76442000000009')], 'pickup_address': '3155 Commonwealth Avenue West, Singapore', 'pickup_window': [32400, 36000], 'ref': '35694', 'order_time': 0, 'delivery_window': [52200, 63000], 'capacity': 1, 'coordinates': [Decimal('1.4284483'), Decimal('103.7729321')], 'address': '411 Woodlands Street 41 Singapore'}, {'pickup_location': [Decimal('1.3148910000000456'), Decimal('103.76442000000009')], 'pickup_address': '3155 Commonwealth Avenue West, Singapore', 'pickup_window': [32400, 36000], 'ref': '35695', 'order_time': 0, 'delivery_window': [54000, 61200], 'capacity': 1, 'coordinates': [Decimal('1.3850910000000454'), Decimal('103.89254400000004')], 'address': '282c Sengkang East Avenue, Singapore'}], (34200, 36000): [{'pickup_location': [Decimal('1.3148910000000456'), Decimal('103.76442000000009')], 'ref': '0', 'order_time': 0, 'delivery_window': [34200, 36000], 'capacity': 0, 'coordinates': [Decimal('1.3148910000000456'), Decimal('103.76442000000009')], 'address': '3155 Commonwealth Avenue West, Singapore'}, {'pickup_location': [Decimal('1.3148910000000456'), Decimal('103.76442000000009')], 'pickup_address': '3155 Commonwealth Avenue West, Singapore', 'pickup_window': [34200, 36000], 'ref': '35696', 'order_time': 0, 'delivery_window': [54000, 57600], 'capacity': 1, 'coordinates': [Decimal('1.4193229'), Decimal('103.718897')], 'address': '10 Neo Tiew Lane 2 Singapore'}, {'pickup_location': [Decimal('1.3148910000000456'), Decimal('103.76442000000009')], 'pickup_address': '3155 Commonwealth Avenue West, Singapore', 'pickup_window': [34200, 36000], 'ref': '35697', 'order_time': 0, 'delivery_window': [54000, 64800], 'capacity': 1, 'coordinates': [Decimal('1.3455090000000496'), Decimal('103.84831350000007')], 'address': '103 Bishan Street 12, Singapore'}, {'pickup_location': [Decimal('1.3148910000000456'), Decimal('103.76442000000009')], 'pickup_address': '3155 Commonwealth Avenue West, Singapore', 'pickup_window': [34200, 36000], 'ref': '35698', 'order_time': 0, 'delivery_window': [55800, 64800], 'capacity': 1, 'coordinates': [Decimal('1.395358'), Decimal('103.904632')], 'address': 'Singapore 543188'}, {'pickup_location': [Decimal('1.3148910000000456'), Decimal('103.76442000000009')], 'pickup_address': '3155 Commonwealth Avenue West, Singapore', 'pickup_window': [34200, 36000], 'ref': '35699', 'order_time': 0, 'delivery_window': [55800, 61200], 'capacity': 1, 'coordinates': [Decimal('1.4539770000000658'), Decimal('103.79693700000007')], 'address': '30 WOODLANDS INDUSTRIAL PARK E1, Singapore'}, {'pickup_location': [Decimal('1.3148910000000456'), Decimal('103.76442000000009')], 'pickup_address': '3155 Commonwealth Avenue West, Singapore', 'pickup_window': [34200, 36000], 'ref': '35700', 'order_time': 0, 'delivery_window': [55800, 59400], 'capacity': 1, 'coordinates': [Decimal('1.2864600000000337'), Decimal('103.78189350000008')], 'address': '20 Science Park Road, Singapore'}, {'pickup_location': [Decimal('1.3148910000000456'), Decimal('103.76442000000009')], 'pickup_address': '3155 Commonwealth Avenue West, Singapore', 'pickup_window': [34200, 36000], 'ref': '35701', 'order_time': 0, 'delivery_window': [57600, 64800], 'capacity': 1, 'coordinates': [Decimal('1.380294000000049'), Decimal('103.77393300000006')], 'address': '251 BANGKIT ROAD, Singapore'}], (34200, 37800): [{'pickup_location': [Decimal('1.3148910000000456'), Decimal('103.76442000000009')], 'ref': '0', 'order_time': 0, 'delivery_window': [34200, 37800], 'capacity': 0, 'coordinates': [Decimal('1.3148910000000456'), Decimal('103.76442000000009')], 'address': '3155 Commonwealth Avenue West, Singapore'}, {'pickup_location': [Decimal('1.3148910000000456'), Decimal('103.76442000000009')], 'pickup_address': '3155 Commonwealth Avenue West, Singapore', 'pickup_window': [34200, 37800], 'ref': '35702', 'order_time': 0, 'delivery_window': [57600, 61200], 'capacity': 1, 'coordinates': [Decimal('1.3154760000000465'), Decimal('103.82144850000009')], 'address': '60 WHITE HOUSE PARK, Singapore'}, {'pickup_location': [Decimal('1.3148910000000456'), Decimal('103.76442000000009')], 'pickup_address': '3155 Commonwealth Avenue West, Singapore', 'pickup_window': [34200, 37800], 'ref': '35703', 'order_time': 0, 'delivery_window': [59400, 63000], 'capacity': 1, 'coordinates': [Decimal('1.3064580000000205'), Decimal('103.79468700000007')], 'address': '7 COMMONWEALTH AVENUE, Singapore'}, {'pickup_location': [Decimal('1.3148910000000456'), Decimal('103.76442000000009')], 'pickup_address': '3155 Commonwealth Avenue West, Singapore', 'pickup_window': [34200, 37800], 'ref': '35704', 'order_time': 0, 'delivery_window': [59400, 64800], 'capacity': 1, 'coordinates': [Decimal('1.27047'), Decimal('103.824797')], 'address': 'Singapore 099209'}, {'pickup_location': [Decimal('1.3148910000000456'), Decimal('103.76442000000009')], 'pickup_address': '3155 Commonwealth Avenue West, Singapore', 'pickup_window': [34200, 37800], 'ref': '35705', 'order_time': 0, 'delivery_window': [61200, 64800], 'capacity': 1, 'coordinates': [Decimal('1.322586000000058'), Decimal('103.76896950000008')], 'address': '103 CLEMENTI STREET 14, Singapore'}]}, ('1.313361000000043', '103.90159350000005'): {(34200, 37800): [{'pickup_location': [Decimal('1.313361000000043'), Decimal('103.90159350000005')], 'ref': '0', 'order_time': 0, 'delivery_window': [34200, 37800], 'capacity': 0, 'coordinates': [Decimal('1.313361000000043'), Decimal('103.90159350000005')], 'address': '54 Joo Chiat Place, Singapore'}, {'pickup_location': [Decimal('1.313361000000043'), Decimal('103.90159350000005')], 'pickup_address': '54 Joo Chiat Place, Singapore', 'pickup_window': [34200, 37800], 'ref': '35706', 'order_time': 0, 'delivery_window': [34200, 39600], 'capacity': 1, 'coordinates': [Decimal('1.2790260000000444'), Decimal('103.78712700000005')], 'address': '202 Pasir Panjang Road #04-11, Singapore'}, {'pickup_location': [Decimal('1.313361000000043'), Decimal('103.90159350000005')], 'pickup_address': '54 Joo Chiat Place, Singapore', 'pickup_window': [34200, 37800], 'ref': '35707', 'order_time': 0, 'delivery_window': [39600, 46800], 'capacity': 1, 'coordinates': [Decimal('1.28566'), Decimal('103.847861')], 'address': '049145'}, {'pickup_location': [Decimal('1.313361000000043'), Decimal('103.90159350000005')], 'pickup_address': '54 Joo Chiat Place, Singapore', 'pickup_window': [34200, 37800], 'ref': '35708', 'order_time': 0, 'delivery_window': [39600, 43200], 'capacity': 1, 'coordinates': [Decimal('1.287596'), Decimal('103.847468')], 'address': '059656'}, {'pickup_location': [Decimal('1.313361000000043'), Decimal('103.90159350000005')], 'pickup_address': '54 Joo Chiat Place, Singapore', 'pickup_window': [34200, 37800], 'ref': '35709', 'order_time': 0, 'delivery_window': [41400, 45000], 'capacity': 1, 'coordinates': [Decimal('1.292809'), Decimal('103.842937')], 'address': 239920}, {'pickup_location': [Decimal('1.313361000000043'), Decimal('103.90159350000005')], 'pickup_address': '54 Joo Chiat Place, Singapore', 'pickup_window': [34200, 37800], 'ref': '35710', 'order_time': 0, 'delivery_window': [43200, 50400], 'capacity': 1, 'coordinates': [Decimal('1.302007'), Decimal('103.840361')], 'address': 229456}, {'pickup_location': [Decimal('1.313361000000043'), Decimal('103.90159350000005')], 'pickup_address': '54 Joo Chiat Place, Singapore', 'pickup_window': [34200, 37800], 'ref': '35711', 'order_time': 0, 'delivery_window': [45000, 48600], 'capacity': 1, 'coordinates': [Decimal('1.3242951150000408'), Decimal('103.87323032400008')], 'address': 349282}, {'pickup_location': [Decimal('1.313361000000043'), Decimal('103.90159350000005')], 'pickup_address': '54 Joo Chiat Place, Singapore', 'pickup_window': [34200, 37800], 'ref': '35712', 'order_time': 0, 'delivery_window': [45000, 52200], 'capacity': 1, 'coordinates': [Decimal('1.366670000000056'), Decimal('103.80000000000007')], 'address': 'Bussalo Road, Singap'}, {'pickup_location': [Decimal('1.313361000000043'), Decimal('103.90159350000005')], 'pickup_address': '54 Joo Chiat Place, Singapore', 'pickup_window': [34200, 37800], 'ref': '35713', 'order_time': 0, 'delivery_window': [45000, 55800], 'capacity': 1, 'coordinates': [Decimal('1.4061831720000555'), Decimal('103.75111971300004')], 'address': 728777}, {'pickup_location': [Decimal('1.313361000000043'), Decimal('103.90159350000005')], 'pickup_address': '54 Joo Chiat Place, Singapore', 'pickup_window': [34200, 37800], 'ref': '35714', 'order_time': 0, 'delivery_window': [46800, 54000], 'capacity': 1, 'coordinates': [Decimal('1.463680484000065'), Decimal('103.80594342300009')], 'address': 758234}, {'pickup_location': [Decimal('1.313361000000043'), Decimal('103.90159350000005')], 'pickup_address': '54 Joo Chiat Place, Singapore', 'pickup_window': [34200, 37800], 'ref': '35715', 'order_time': 0, 'delivery_window': [46800, 50400], 'capacity': 1, 'coordinates': [Decimal('1.3726080000000707'), Decimal('103.84915500000005')], 'address': '512 ANG MO KIO AVENUE 8, Singapore'}, {'pickup_location': [Decimal('1.313361000000043'), Decimal('103.90159350000005')], 'pickup_address': '54 Joo Chiat Place, Singapore', 'pickup_window': [34200, 37800], 'ref': '35716', 'order_time': 0, 'delivery_window': [48600, 54000], 'capacity': 1, 'coordinates': [Decimal('1.3340430000000651'), Decimal('103.83924150000007')], 'address': '510 Thomson Road, Singapore'}, {'pickup_location': [Decimal('1.313361000000043'), Decimal('103.90159350000005')], 'pickup_address': '54 Joo Chiat Place, Singapore', 'pickup_window': [34200, 37800], 'ref': '35717', 'order_time': 0, 'delivery_window': [50400, 54000], 'capacity': 1, 'coordinates': [Decimal('1.2842481'), Decimal('103.8533672')], 'address': '70 Collyer Quay, Singapore'}, {'pickup_location': [Decimal('1.313361000000043'), Decimal('103.90159350000005')], 'pickup_address': '54 Joo Chiat Place, Singapore', 'pickup_window': [34200, 37800], 'ref': '35718', 'order_time': 0, 'delivery_window': [50400, 57600], 'capacity': 1, 'coordinates': [Decimal('1.3185270000000742'), Decimal('103.91129550000005')], 'address': '398 Changi Road, Singapore'}, {'pickup_location': [Decimal('1.313361000000043'), Decimal('103.90159350000005')], 'pickup_address': '54 Joo Chiat Place, Singapore', 'pickup_window': [34200, 37800], 'ref': '35719', 'order_time': 0, 'delivery_window': [50400, 61200], 'capacity': 1, 'coordinates': [Decimal('1.3470930000000294'), Decimal('103.87246950000008')], 'address': '404 SERANGOON AVENUE 1, Singapore'}, {'pickup_location': [Decimal('1.313361000000043'), Decimal('103.90159350000005')], 'pickup_address': '54 Joo Chiat Place, Singapore', 'pickup_window': [34200, 37800], 'ref': '35720', 'order_time': 0, 'delivery_window': [36000, 54000], 'capacity': 1, 'coordinates': [Decimal('1.3792453'), Decimal('103.955064')], 'address': '1 Pasir Ris Close, Singapore'}, {'pickup_location': [Decimal('1.313361000000043'), Decimal('103.90159350000005')], 'pickup_address': '54 Joo Chiat Place, Singapore', 'pickup_window': [34200, 37800], 'ref': '35721', 'order_time': 0, 'delivery_window': [52200, 55800], 'capacity': 1, 'coordinates': [Decimal('1.4534730000000309'), Decimal('103.82031450000005')], 'address': '510A Wellington Circle, Singapore'}, {'pickup_location': [Decimal('1.313361000000043'), Decimal('103.90159350000005')], 'pickup_address': '54 Joo Chiat Place, Singapore', 'pickup_window': [34200, 37800], 'ref': '35722', 'order_time': 0, 'delivery_window': [52200, 59400], 'capacity': 1, 'coordinates': [Decimal('1.364607000000035'), Decimal('103.84485300000006')], 'address': '310C Ang Mo Kio Ave 1, Singapore'}, {'pickup_location': [Decimal('1.313361000000043'), Decimal('103.90159350000005')], 'pickup_address': '54 Joo Chiat Place, Singapore', 'pickup_window': [34200, 37800], 'ref': '35723', 'order_time': 0, 'delivery_window': [52200, 57600], 'capacity': 1, 'coordinates': [Decimal('1.3602330000000507'), Decimal('103.82922000000008')], 'address': '1 Sin Ming Avenue, Singapore'}, {'pickup_location': [Decimal('1.313361000000043'), Decimal('103.90159350000005')], 'pickup_address': '54 Joo Chiat Place, Singapore', 'pickup_window': [34200, 37800], 'ref': '35724', 'order_time': 0, 'delivery_window': [52200, 63000], 'capacity': 1, 'coordinates': [Decimal('1.289402606000067'), Decimal('103.83156336800005')], 'address': '392 Havelock Rd, Singapore'}, {'pickup_location': [Decimal('1.313361000000043'), Decimal('103.90159350000005')], 'pickup_address': '54 Joo Chiat Place, Singapore', 'pickup_window': [34200, 37800], 'ref': '35725', 'order_time': 0, 'delivery_window': [54000, 61200], 'capacity': 1, 'coordinates': [Decimal('1.3735620000000495'), Decimal('103.87918350000007')], 'address': '941 Hougang Street 92, Singapore'}, {'pickup_location': [Decimal('1.313361000000043'), Decimal('103.90159350000005')], 'pickup_address': '54 Joo Chiat Place, Singapore', 'pickup_window': [34200, 37800], 'ref': '35726', 'order_time': 0, 'delivery_window': [54000, 57600], 'capacity': 1, 'coordinates': [Decimal('1.3200390000000652'), Decimal('103.83371100000005')], 'address': '9C Barker Road, Barker 9, Singapore'}, {'pickup_location': [Decimal('1.313361000000043'), Decimal('103.90159350000005')], 'pickup_address': '54 Joo Chiat Place, Singapore', 'pickup_window': [34200, 37800], 'ref': '35727', 'order_time': 0, 'delivery_window': [54000, 64800], 'capacity': 1, 'coordinates': [Decimal('1.4037750000000528'), Decimal('103.90576050000004')], 'address': '303A Punggol Central, Singapore'}, {'pickup_location': [Decimal('1.313361000000043'), Decimal('103.90159350000005')], 'pickup_address': '54 Joo Chiat Place, Singapore', 'pickup_window': [34200, 37800], 'ref': '35728', 'order_time': 0, 'delivery_window': [55800, 64800], 'capacity': 1, 'coordinates': [Decimal('1.352389922000043'), Decimal('103.86389344400004')], 'address': 'Singapore 556744'}, {'pickup_location': [Decimal('1.313361000000043'), Decimal('103.90159350000005')], 'pickup_address': '54 Joo Chiat Place, Singapore', 'pickup_window': [34200, 37800], 'ref': '35729', 'order_time': 0, 'delivery_window': [55800, 61200], 'capacity': 1, 'coordinates': [Decimal('1.2972600000000511'), Decimal('103.84412400000008')], 'address': '180 Clemenceau Avenue, Haw Par Centre, Singapore'}, {'pickup_location': [Decimal('1.313361000000043'), Decimal('103.90159350000005')], 'pickup_address': '54 Joo Chiat Place, Singapore', 'pickup_window': [34200, 37800], 'ref': '35730', 'order_time': 0, 'delivery_window': [55800, 59400], 'capacity': 1, 'coordinates': [Decimal('1.2858750000000327'), Decimal('103.78351350000008')], 'address': '50 Science Park Road, The Kendall, Singapore'}, {'pickup_location': [Decimal('1.313361000000043'), Decimal('103.90159350000005')], 'pickup_address': '54 Joo Chiat Place, Singapore', 'pickup_window': [34200, 37800], 'ref': '35731', 'order_time': 0, 'delivery_window': [57600, 64800], 'capacity': 1, 'coordinates': [Decimal('1.274357'), Decimal('103.842131')], 'address': 'Singapore 089315'}, {'pickup_location': [Decimal('1.313361000000043'), Decimal('103.90159350000005')], 'pickup_address': '54 Joo Chiat Place, Singapore', 'pickup_window': [34200, 37800], 'ref': '35732', 'order_time': 0, 'delivery_window': [57600, 61200], 'capacity': 1, 'coordinates': [Decimal('1.4297112'), Decimal('103.7845883')], 'address': '73 WOODGROVE AVENUE, Singapore'}, {'pickup_location': [Decimal('1.313361000000043'), Decimal('103.90159350000005')], 'pickup_address': '54 Joo Chiat Place, Singapore', 'pickup_window': [34200, 37800], 'ref': '35733', 'order_time': 0, 'delivery_window': [59400, 63000], 'capacity': 1, 'coordinates': [Decimal('1.243233000000032'), Decimal('103.84196400000008')], 'address': '287 Ocean Drive, Singapore'}, {'pickup_location': [Decimal('1.313361000000043'), Decimal('103.90159350000005')], 'pickup_address': '54 Joo Chiat Place, Singapore', 'pickup_window': [34200, 37800], 'ref': '35734', 'order_time': 0, 'delivery_window': [59400, 64800], 'capacity': 1, 'coordinates': [Decimal('1.2822570000000724'), Decimal('103.84952400000009')], 'address': '60 Cecil Street, Singapore'}, {'pickup_location': [Decimal('1.313361000000043'), Decimal('103.90159350000005')], 'pickup_address': '54 Joo Chiat Place, Singapore', 'pickup_window': [34200, 37800], 'ref': '35735', 'order_time': 0, 'delivery_window': [61200, 64800], 'capacity': 1, 'coordinates': [Decimal('1.2952440000000252'), Decimal('103.85956350000004')], 'address': '8 Temasek Boulevard, Singapore'}, {'pickup_location': [Decimal('1.313361000000043'), Decimal('103.90159350000005')], 'pickup_address': '54 Joo Chiat Place, Singapore', 'pickup_window': [34200, 37800], 'ref': '35736', 'order_time': 0, 'delivery_window': [50400, 64800], 'capacity': 1, 'coordinates': [Decimal('1.380717000000061'), Decimal('103.96237500000007')], 'address': '159W JALAN LOYANG BESAR, Singapore'}, {'pickup_location': [Decimal('1.313361000000043'), Decimal('103.90159350000005')], 'pickup_address': '54 Joo Chiat Place, Singapore', 'pickup_window': [34200, 37800], 'ref': '35737', 'order_time': 0, 'delivery_window': [50400, 64800], 'capacity': 1, 'coordinates': [Decimal('1.3333410000000754'), Decimal('103.97026350000004')], 'address': '39 CHANGI SOUTH AVENUE 2, Singapore'}, {'pickup_location': [Decimal('1.313361000000043'), Decimal('103.90159350000005')], 'pickup_address': '54 Joo Chiat Place, Singapore', 'pickup_window': [34200, 37800], 'ref': '35738', 'order_time': 0, 'delivery_window': [50400, 64800], 'capacity': 1, 'coordinates': [Decimal('1.3148234'), Decimal('103.8944394')], 'address': '11 Tanjong Katong Road Singapore'}, {'pickup_location': [Decimal('1.313361000000043'), Decimal('103.90159350000005')], 'pickup_address': '54 Joo Chiat Place, Singapore', 'pickup_window': [34200, 37800], 'ref': '35739', 'order_time': 0, 'delivery_window': [52200, 63000], 'capacity': 1, 'coordinates': [Decimal('1.294638'), Decimal('103.840014')], 'address': 'Singapore 238309'}, {'pickup_location': [Decimal('1.313361000000043'), Decimal('103.90159350000005')], 'pickup_address': '54 Joo Chiat Place, Singapore', 'pickup_window': [34200, 37800], 'ref': '35740', 'order_time': 0, 'delivery_window': [53100, 56700], 'capacity': 1, 'coordinates': [Decimal('1.3443210000000363'), Decimal('103.86286200000006')], 'address': '1H Lynwood Grove, Singapore'}, {'pickup_location': [Decimal('1.313361000000043'), Decimal('103.90159350000005')], 'pickup_address': '54 Joo Chiat Place, Singapore', 'pickup_window': [34200, 37800], 'ref': '35741', 'order_time': 0, 'delivery_window': [54000, 57600], 'capacity': 1, 'coordinates': [Decimal('1.2743640000000482'), Decimal('103.84197300000005')], 'address': '10 Hoe Chiang Road, Singapore'}, {'pickup_location': [Decimal('1.313361000000043'), Decimal('103.90159350000005')], 'pickup_address': '54 Joo Chiat Place, Singapore', 'pickup_window': [34200, 37800], 'ref': '35742', 'order_time': 0, 'delivery_window': [54000, 61200], 'capacity': 1, 'coordinates': [Decimal('1.4015352'), Decimal('103.9154382')], 'address': '88 EDGEDALE PLAINS, Singapore'}, {'pickup_location': [Decimal('1.313361000000043'), Decimal('103.90159350000005')], 'pickup_address': '54 Joo Chiat Place, Singapore', 'pickup_window': [34200, 37800], 'ref': '35743', 'order_time': 0, 'delivery_window': [60300, 63900], 'capacity': 1, 'coordinates': [Decimal('1.342679'), Decimal('103.840301')], 'address': 'Singapore 579722'}, {'pickup_location': [Decimal('1.313361000000043'), Decimal('103.90159350000005')], 'pickup_address': '54 Joo Chiat Place, Singapore', 'pickup_window': [34200, 37800], 'ref': '35744', 'order_time': 0, 'delivery_window': [46800, 64800], 'capacity': 1, 'coordinates': [Decimal('1.3091842085123062'), Decimal('103.83201970718801')], 'address': '8 Claymore Hill, Singapore'}, {'pickup_location': [Decimal('1.313361000000043'), Decimal('103.90159350000005')], 'pickup_address': '54 Joo Chiat Place, Singapore', 'pickup_window': [34200, 37800], 'ref': '35745', 'order_time': 0, 'delivery_window': [50400, 64800], 'capacity': 1, 'coordinates': [Decimal('1.3317390000000273'), Decimal('103.63270950000003')], 'address': '50 TUAS WEST DRIVE, Singapore'}, {'pickup_location': [Decimal('1.313361000000043'), Decimal('103.90159350000005')], 'pickup_address': '54 Joo Chiat Place, Singapore', 'pickup_window': [34200, 37800], 'ref': '35746', 'order_time': 0, 'delivery_window': [36000, 39600], 'capacity': 1, 'coordinates': [Decimal('1.3107420000000616'), Decimal('103.92745050000008')], 'address': '27 JALAN SEMPADAN, Singapore'}, {'pickup_location': [Decimal('1.313361000000043'), Decimal('103.90159350000005')], 'pickup_address': '54 Joo Chiat Place, Singapore', 'pickup_window': [34200, 37800], 'ref': '35747', 'order_time': 0, 'delivery_window': [38700, 45900], 'capacity': 1, 'coordinates': [Decimal('1.2785760000000437'), Decimal('103.83611850000005')], 'address': '5 Hospital Drive, Singapore'}, {'pickup_location': [Decimal('1.313361000000043'), Decimal('103.90159350000005')], 'pickup_address': '54 Joo Chiat Place, Singapore', 'pickup_window': [34200, 37800], 'ref': '35748', 'order_time': 0, 'delivery_window': [39600, 46800], 'capacity': 1, 'coordinates': [Decimal('1.350765000000024'), Decimal('103.68185850000003')], 'address': '52 nanyang walk ,hall of residence 3 C , 08-01-3c NTU, Singapore'}, {'pickup_location': [Decimal('1.313361000000043'), Decimal('103.90159350000005')], 'pickup_address': '54 Joo Chiat Place, Singapore', 'pickup_window': [34200, 37800], 'ref': '35749', 'order_time': 0, 'delivery_window': [43200, 46800], 'capacity': 1, 'coordinates': [Decimal('1.335538556000074'), Decimal('103.88976367500004')], 'address': '18 TAI SENG STREET, Singapore'}, {'pickup_location': [Decimal('1.313361000000043'), Decimal('103.90159350000005')], 'pickup_address': '54 Joo Chiat Place, Singapore', 'pickup_window': [34200, 37800], 'ref': '35750', 'order_time': 0, 'delivery_window': [50400, 64800], 'capacity': 1, 'coordinates': [Decimal('1.4284483'), Decimal('103.7729321')], 'address': '411 Woodlands Street 41 Singapore'}, {'pickup_location': [Decimal('1.313361000000043'), Decimal('103.90159350000005')], 'pickup_address': '54 Joo Chiat Place, Singapore', 'pickup_window': [34200, 37800], 'ref': '35751', 'order_time': 0, 'delivery_window': [50400, 64800], 'capacity': 1, 'coordinates': [Decimal('1.3916340000000673'), Decimal('103.74621750000006')], 'address': 'Blk 701 #04-34 Choa Chu Kang Street 53, Singapore'}, {'pickup_location': [Decimal('1.313361000000043'), Decimal('103.90159350000005')], 'pickup_address': '54 Joo Chiat Place, Singapore', 'pickup_window': [34200, 37800], 'ref': '35752', 'order_time': 0, 'delivery_window': [50400, 64800], 'capacity': 1, 'coordinates': [Decimal('1.3501530000000344'), Decimal('103.70034450000009')], 'address': '758 Jurong West Street 74, Singapore'}, {'pickup_location': [Decimal('1.313361000000043'), Decimal('103.90159350000005')], 'pickup_address': '54 Joo Chiat Place, Singapore', 'pickup_window': [34200, 37800], 'ref': '35753', 'order_time': 0, 'delivery_window': [59400, 64800], 'capacity': 1, 'coordinates': [Decimal('1.3078080000000227'), Decimal('103.83104250000008')], 'address': '25 Claymore Road, Singapore'}, {'pickup_location': [Decimal('1.313361000000043'), Decimal('103.90159350000005')], 'pickup_address': '54 Joo Chiat Place, Singapore', 'pickup_window': [34200, 37800], 'ref': '35754', 'order_time': 0, 'delivery_window': [50400, 64800], 'capacity': 1, 'coordinates': [Decimal('1.3480853730000604'), Decimal('103.95268651600009')], 'address': 'Tampines Street 22, Singapore'}], (32400, 36000): [{'pickup_location': [Decimal('1.313361000000043'), Decimal('103.90159350000005')], 'ref': '0', 'order_time': 0, 'delivery_window': [32400, 36000], 'capacity': 0, 'coordinates': [Decimal('1.313361000000043'), Decimal('103.90159350000005')], 'address': '54 Joo Chiat Place, Singapore'}, {'pickup_location': [Decimal('1.313361000000043'), Decimal('103.90159350000005')], 'pickup_address': '54 Joo Chiat Place, Singapore', 'pickup_window': [32400, 36000], 'ref': '35755', 'order_time': 0, 'delivery_window': [50400, 55800], 'capacity': 1, 'coordinates': [Decimal('1.4559210000000462'), Decimal('103.79954700000008')], 'address': '29 WOODLANDS INDUSTRIAL PARK E1, Singapore'}, {'pickup_location': [Decimal('1.313361000000043'), Decimal('103.90159350000005')], 'pickup_address': '54 Joo Chiat Place, Singapore', 'pickup_window': [32400, 36000], 'ref': '35756', 'order_time': 0, 'delivery_window': [50400, 64800], 'capacity': 1, 'coordinates': [Decimal('1.3075830000000224'), Decimal('103.77315000000004')], 'address': '8 COLLEGE AVENUE EAST, Singapore'}, {'pickup_location': [Decimal('1.313361000000043'), Decimal('103.90159350000005')], 'pickup_address': '54 Joo Chiat Place, Singapore', 'pickup_window': [32400, 36000], 'ref': '35757', 'order_time': 0, 'delivery_window': [50400, 64800], 'capacity': 1, 'coordinates': [Decimal('1.3016430000000696'), Decimal('103.86124650000005')], 'address': '1 ALIWAL STREET, Singapore'}, {'pickup_location': [Decimal('1.313361000000043'), Decimal('103.90159350000005')], 'pickup_address': '54 Joo Chiat Place, Singapore', 'pickup_window': [32400, 36000], 'ref': '35758', 'order_time': 0, 'delivery_window': [50400, 64800], 'capacity': 1, 'coordinates': [Decimal('1.3369410000000244'), Decimal('103.89074400000004')], 'address': '12 TAI SENG LINK, Singapore'}, {'pickup_location': [Decimal('1.313361000000043'), Decimal('103.90159350000005')], 'pickup_address': '54 Joo Chiat Place, Singapore', 'pickup_window': [32400, 36000], 'ref': '35759', 'order_time': 0, 'delivery_window': [50400, 64800], 'capacity': 1, 'coordinates': [Decimal('1.274041'), Decimal('103.840661')], 'address': 'Singapore 089762'}, {'pickup_location': [Decimal('1.313361000000043'), Decimal('103.90159350000005')], 'pickup_address': '54 Joo Chiat Place, Singapore', 'pickup_window': [32400, 36000], 'ref': '35760', 'order_time': 0, 'delivery_window': [57600, 64800], 'capacity': 1, 'coordinates': [Decimal('1.351395000000025'), Decimal('103.94272350000006')], 'address': '149 TAMPINES STREET 12, Singapore'}, {'pickup_location': [Decimal('1.313361000000043'), Decimal('103.90159350000005')], 'pickup_address': '54 Joo Chiat Place, Singapore', 'pickup_window': [32400, 36000], 'ref': '35761', 'order_time': 0, 'delivery_window': [50400, 64800], 'capacity': 1, 'coordinates': [Decimal('1.3213170000000218'), Decimal('103.76481600000005')], 'address': '303 CLEMENTI AVENUE 4, Singapore'}, {'pickup_location': [Decimal('1.313361000000043'), Decimal('103.90159350000005')], 'pickup_address': '54 Joo Chiat Place, Singapore', 'pickup_window': [32400, 36000], 'ref': '35762', 'order_time': 0, 'delivery_window': [50400, 64800], 'capacity': 1, 'coordinates': [Decimal('1.2971880000000624'), Decimal('103.83407100000005')], 'address': '2 LEONIE HILL ROAD, Singapore'}, {'pickup_location': [Decimal('1.313361000000043'), Decimal('103.90159350000005')], 'pickup_address': '54 Joo Chiat Place, Singapore', 'pickup_window': [32400, 36000], 'ref': '35763', 'order_time': 0, 'delivery_window': [61200, 64800], 'capacity': 1, 'coordinates': [Decimal('1.2821277730000702'), Decimal('103.84752674700007')], 'address': 'Singapore 069932'}, {'pickup_location': [Decimal('1.313361000000043'), Decimal('103.90159350000005')], 'pickup_address': '54 Joo Chiat Place, Singapore', 'pickup_window': [32400, 36000], 'ref': '35764', 'order_time': 0, 'delivery_window': [61200, 64800], 'capacity': 1, 'coordinates': [Decimal('1.3762440000000424'), Decimal('103.89312450000006')], 'address': '432 Hougang Ave 6, Singapore'}, {'pickup_location': [Decimal('1.313361000000043'), Decimal('103.90159350000005')], 'pickup_address': '54 Joo Chiat Place, Singapore', 'pickup_window': [32400, 36000], 'ref': '35765', 'order_time': 0, 'delivery_window': [50400, 64800], 'capacity': 1, 'coordinates': [Decimal('1.3841820000000666'), Decimal('103.83991200000008')], 'address': '17 ANG MO KIO AVENUE 9, Singapore'}, {'pickup_location': [Decimal('1.313361000000043'), Decimal('103.90159350000005')], 'pickup_address': '54 Joo Chiat Place, Singapore', 'pickup_window': [32400, 36000], 'ref': '35766', 'order_time': 0, 'delivery_window': [50400, 64800], 'capacity': 1, 'coordinates': [Decimal('1.3192110000000525'), Decimal('103.83466050000004')], 'address': '70 Barker Road, Singapore'}, {'pickup_location': [Decimal('1.313361000000043'), Decimal('103.90159350000005')], 'pickup_address': '54 Joo Chiat Place, Singapore', 'pickup_window': [32400, 36000], 'ref': '35767', 'order_time': 0, 'delivery_window': [57600, 64800], 'capacity': 1, 'coordinates': [Decimal('1.3652550000000474'), Decimal('103.76970750000004')], 'address': '17 DAIRY FARM ROAD, Singapore'}, {'pickup_location': [Decimal('1.313361000000043'), Decimal('103.90159350000005')], 'pickup_address': '54 Joo Chiat Place, Singapore', 'pickup_window': [32400, 36000], 'ref': '35768', 'order_time': 0, 'delivery_window': [50400, 64800], 'capacity': 1, 'coordinates': [Decimal('1.3950000000000387'), Decimal('103.91020200000008')], 'address': '110D PUNGGOL FIELD, Singapore'}, {'pickup_location': [Decimal('1.313361000000043'), Decimal('103.90159350000005')], 'pickup_address': '54 Joo Chiat Place, Singapore', 'pickup_window': [32400, 36000], 'ref': '35769', 'order_time': 0, 'delivery_window': [57600, 63000], 'capacity': 1, 'coordinates': [Decimal('1.3699620000000436'), Decimal('103.95599850000008')], 'address': '426 Pasir Ris Drive 6, Singapore'}, {'pickup_location': [Decimal('1.313361000000043'), Decimal('103.90159350000005')], 'pickup_address': '54 Joo Chiat Place, Singapore', 'pickup_window': [32400, 36000], 'ref': '35770', 'order_time': 0, 'delivery_window': [50400, 64800], 'capacity': 1, 'coordinates': [Decimal('1.3333950000000527'), Decimal('103.70769750000005')], 'address': '2 Enterprise Road , Singapore'}, {'pickup_location': [Decimal('1.313361000000043'), Decimal('103.90159350000005')], 'pickup_address': '54 Joo Chiat Place, Singapore', 'pickup_window': [32400, 36000], 'ref': '35771', 'order_time': 0, 'delivery_window': [43200, 64800], 'capacity': 1, 'coordinates': [Decimal('1.3252140000000736'), Decimal('103.87670400000007')], 'address': '82 Genting Lane, Singapore'}, {'pickup_location': [Decimal('1.313361000000043'), Decimal('103.90159350000005')], 'pickup_address': '54 Joo Chiat Place, Singapore', 'pickup_window': [32400, 36000], 'ref': '35772', 'order_time': 0, 'delivery_window': [50400, 64800], 'capacity': 1, 'coordinates': [Decimal('1.3846230000000332'), Decimal('103.74043050000006')], 'address': '436 CHOA CHU KANG AVENUE 4, Singapore'}, {'pickup_location': [Decimal('1.313361000000043'), Decimal('103.90159350000005')], 'pickup_address': '54 Joo Chiat Place, Singapore', 'pickup_window': [32400, 36000], 'ref': '35773', 'order_time': 0, 'delivery_window': [50400, 54000], 'capacity': 1, 'coordinates': [Decimal('1.3141350000000216'), Decimal('103.86544950000007')], 'address': '17 KALLANG JUNCTION, Singapore'}, {'pickup_location': [Decimal('1.313361000000043'), Decimal('103.90159350000005')], 'pickup_address': '54 Joo Chiat Place, Singapore', 'pickup_window': [32400, 36000], 'ref': '35774', 'order_time': 0, 'delivery_window': [50400, 64800], 'capacity': 1, 'coordinates': [Decimal('1.3457430000000272'), Decimal('103.93736850000005')], 'address': '804 Tampines Ave 4, Singapore'}]}}

locations4 = {(Decimal('14.6325757800000250'), Decimal('121.01065540300010')): {(50400, 54000): [{'pickup_location': [Decimal('14.6325757800000250'), Decimal('121.01065540300010')], 'ref': '0', 'order_time': 0, 'delivery_window': [50400, 54000], 'capacity': 0, 'coordinates': [Decimal('14.6325757800000250'), Decimal('121.01065540300010')], 'address': 'Fishermall, Diliman, Quezon City'}, {'pickup_location': [Decimal('14.6325757800000250'), Decimal('121.01065540300010')], 'pickup_address': 'Fishermall, Diliman, Quezon City', 'pickup_window': [50400, 54000], 'ref': '37341', 'order_time': 0, 'delivery_window': [57600, 64800], 'capacity': 2, 'coordinates': [Decimal('14.6874403540000460'), Decimal('121.09634362500003')], 'address': '204 Damayan Sitio 3, Quezon City\n'}, {'pickup_location': [Decimal('14.6325757800000250'), Decimal('121.01065540300010')], 'pickup_address': 'Fishermall, Diliman, Quezon City', 'pickup_window': [50400, 54000], 'ref': '37367', 'order_time': 0, 'delivery_window': [57600, 64800], 'capacity': 2, 'coordinates': [Decimal('14.6411045620000660'), Decimal('121.05918635000012')], 'address': '81F Madasalin St Teachers Village East Diliman, Quezon City'}, {'pickup_location': [Decimal('14.6325757800000250'), Decimal('121.01065540300010')], 'pickup_address': 'Fishermall, Diliman, Quezon City', 'pickup_window': [50400, 54000], 'ref': '37368', 'order_time': 0, 'delivery_window': [57600, 64800], 'capacity': 1, 'coordinates': [Decimal('14.6204100000000500'), Decimal('120.96523000000002')], 'address': 'sta. fe street rawis tondo manila\nroom 407 building E sambahayan sa rawis'}, {'pickup_location': [Decimal('14.6325757800000250'), Decimal('121.01065540300010')], 'pickup_address': 'Fishermall, Diliman, Quezon City', 'pickup_window': [50400, 54000], 'ref': '37369', 'order_time': 0, 'delivery_window': [57600, 64800], 'capacity': 2, 'coordinates': [Decimal('14.6204100000000500'), Decimal('120.96523000000002')], 'address': 'sta. fe street rawis tondo manila\nroom 407 building E sambahayan sa rawis'}, {'pickup_location': [Decimal('14.6325757800000250'), Decimal('121.01065540300010')], 'pickup_address': 'Fishermall, Diliman, Quezon City', 'pickup_window': [50400, 54000], 'ref': '37371', 'order_time': 0, 'delivery_window': [57600, 64800], 'capacity': 1, 'coordinates': [Decimal('14.6261114170000610'), Decimal('121.01253924000002')], 'address': '88 Aquarius Street Agno Extension\n\nBarangay Tatalon'}, {'pickup_location': [Decimal('14.6325757800000250'), Decimal('121.01065540300010')], 'pickup_address': 'Fishermall, Diliman, Quezon City', 'pickup_window': [50400, 54000], 'ref': '37372', 'order_time': 0, 'delivery_window': [57600, 64800], 'capacity': 1, 'coordinates': [Decimal('14.6388438440000640'), Decimal('121.01870952900003')], 'address': '28 Cooper St.\n\nParaiso'}, {'pickup_location': [Decimal('14.6325757800000250'), Decimal('121.01065540300010')], 'pickup_address': 'Fishermall, Diliman, Quezon City', 'pickup_window': [50400, 54000], 'ref': '37373', 'order_time': 0, 'delivery_window': [57600, 64800], 'capacity': 1, 'coordinates': [Decimal('14.6303567270000490'), Decimal('121.07951488000003')], 'address': '#32.pound St. Baranka\n#32.pound St. Baranka\nBaranka'}, {'pickup_location': [Decimal('14.6325757800000250'), Decimal('121.01065540300010')], 'pickup_address': 'Fishermall, Diliman, Quezon City', 'pickup_window': [50400, 54000], 'ref': '37374', 'order_time': 0, 'delivery_window': [57600, 64800], 'capacity': 2, 'coordinates': [Decimal('14.6303567270000490'), Decimal('121.07951488000003')], 'address': '#32.pound St. Baranka\n#32.pound St. Baranka\nBaranka'}, {'pickup_location': [Decimal('14.6325757800000250'), Decimal('121.01065540300010')], 'pickup_address': 'Fishermall, Diliman, Quezon City', 'pickup_window': [50400, 54000], 'ref': '37375', 'order_time': 0, 'delivery_window': [57600, 64800], 'capacity': 1, 'coordinates': [Decimal('13.5542200000000430'), Decimal('122.50430000000006')], 'address': 'Blk 14 Lot 8 Phase 2 Pinagsama Village\nnull\nnull'}, {'pickup_location': [Decimal('14.6325757800000250'), Decimal('121.01065540300010')], 'pickup_address': 'Fishermall, Diliman, Quezon City', 'pickup_window': [50400, 54000], 'ref': '37376', 'order_time': 0, 'delivery_window': [57600, 64800], 'capacity': 2, 'coordinates': [Decimal('14.6940900000000740'), Decimal('121.19281000000001')], 'address': '#153 block 6 North VIille\n#153 block 6 North Ville Antipolo City\nBagong Nayon'}, {'pickup_location': [Decimal('14.6325757800000250'), Decimal('121.01065540300010')], 'pickup_address': 'Fishermall, Diliman, Quezon City', 'pickup_window': [50400, 54000], 'ref': '37377', 'order_time': 0, 'delivery_window': [57600, 64800], 'capacity': 1, 'coordinates': [Decimal('11.4930300000000330'), Decimal('122.55413000000010')], 'address': '204 Damayan\nSitio 3'}, {'pickup_location': [Decimal('14.6325757800000250'), Decimal('121.01065540300010')], 'pickup_address': 'Fishermall, Diliman, Quezon City', 'pickup_window': [50400, 54000], 'ref': '37378', 'order_time': 0, 'delivery_window': [57600, 64800], 'capacity': 2, 'coordinates': [Decimal('14.6830900000000500'), Decimal('120.93311000000006')], 'address': 'blk 26 lot 17 sosialized housing brgy tanza navotas\n\ntanza'}, {'pickup_location': [Decimal('14.6325757800000250'), Decimal('121.01065540300010')], 'pickup_address': 'Fishermall, Diliman, Quezon City', 'pickup_window': [50400, 54000], 'ref': '37379', 'order_time': 0, 'delivery_window': [57600, 64800], 'capacity': 1, 'coordinates': [Decimal('14.4723041760000230'), Decimal('121.02207372900011')], 'address': '759 Ma. Susafe Street\n\nSan Antonio Valley 1 Sucat'}, {'pickup_location': [Decimal('14.6325757800000250'), Decimal('121.01065540300010')], 'pickup_address': 'Fishermall, Diliman, Quezon City', 'pickup_window': [50400, 54000], 'ref': '37380', 'order_time': 0, 'delivery_window': [57600, 64800], 'capacity': 1, 'coordinates': [Decimal('14.5490100000000670'), Decimal('121.01404000000002')], 'address': '1909 laureano di trevi tower 1, don chino roces avenue\n\nPio del pilar'}, {'pickup_location': [Decimal('14.6325757800000250'), Decimal('121.01065540300010')], 'pickup_address': 'Fishermall, Diliman, Quezon City', 'pickup_window': [50400, 54000], 'ref': '37381', 'order_time': 0, 'delivery_window': [57600, 64800], 'capacity': 2, 'coordinates': [Decimal('14.5652200000000680'), Decimal('121.01137000000006')], 'address': 'RoxaS st. \nApartment b\nSan Antonio'}], (32400, 36000): [{'pickup_location': [Decimal('14.6325757800000250'), Decimal('121.01065540300010')], 'ref': '0', 'order_time': 0, 'delivery_window': [32400, 36000], 'capacity': 0, 'coordinates': [Decimal('14.6325757800000250'), Decimal('121.01065540300010')], 'address': 'Fishermall, Diliman, Quezon City'}, {'pickup_location': [Decimal('14.6325757800000250'), Decimal('121.01065540300010')], 'pickup_address': 'Fishermall, Diliman, Quezon City', 'pickup_window': [32400, 36000], 'ref': '37342', 'order_time': 0, 'delivery_window': [39600, 46800], 'capacity': 1, 'coordinates': [Decimal('14.4186300000000640'), Decimal('121.04197000000010')], 'address': 'Unit 903 The Levels Anaheim Tower Pacific Rim Filinvest corporate Center Filinvest Alabang, Muntinlupa'}, {'pickup_location': [Decimal('14.6325757800000250'), Decimal('121.01065540300010')], 'pickup_address': 'Fishermall, Diliman, Quezon City', 'pickup_window': [32400, 36000], 'ref': '37343', 'order_time': 0, 'delivery_window': [39600, 46800], 'capacity': 1, 'coordinates': [Decimal('14.6153701520000250'), Decimal('120.96258531300009')], 'address': '4 kamias st. tondo manila cor. Quezon st., Manila'}, {'pickup_location': [Decimal('14.6325757800000250'), Decimal('121.01065540300010')], 'pickup_address': 'Fishermall, Diliman, Quezon City', 'pickup_window': [32400, 36000], 'ref': '37345', 'order_time': 0, 'delivery_window': [39600, 46800], 'capacity': 1, 'coordinates': [Decimal('14.4889218460000400'), Decimal('121.01383402500005')], 'address': '30 Humility St Multinational Village, Paranaque'}, {'pickup_location': [Decimal('14.6325757800000250'), Decimal('121.01065540300010')], 'pickup_address': 'Fishermall, Diliman, Quezon City', 'pickup_window': [32400, 36000], 'ref': '37346', 'order_time': 0, 'delivery_window': [39600, 46800], 'capacity': 2, 'coordinates': [Decimal('14.6448747560000360'), Decimal('121.07967132300007')], 'address': '7 Marymount La Vista, Quezon City'}, {'pickup_location': [Decimal('14.6325757800000250'), Decimal('121.01065540300010')], 'pickup_address': 'Fishermall, Diliman, Quezon City', 'pickup_window': [32400, 36000], 'ref': '37347', 'order_time': 0, 'delivery_window': [39600, 46800], 'capacity': 2, 'coordinates': [Decimal('13.9622700000000460'), Decimal('122.54465000000005')], 'address': 'Blk 6 lot 13 kalayaan village, brgy. 201, Pasay'}, {'pickup_location': [Decimal('14.6325757800000250'), Decimal('121.01065540300010')], 'pickup_address': 'Fishermall, Diliman, Quezon City', 'pickup_window': [32400, 36000], 'ref': '37348', 'order_time': 0, 'delivery_window': [39600, 46800], 'capacity': 2, 'coordinates': [Decimal('14.6685015000000480'), Decimal('120.99977775000002')], 'address': '109 san jose st. Maypajo caloocan city barangay 34 maypajo caloocan'}, {'pickup_location': [Decimal('14.6325757800000250'), Decimal('121.01065540300010')], 'pickup_address': 'Fishermall, Diliman, Quezon City', 'pickup_window': [32400, 36000], 'ref': '37349', 'order_time': 0, 'delivery_window': [39600, 46800], 'capacity': 2, 'coordinates': [Decimal('14.5425057230000330'), Decimal('120.99973075500009')], 'address': '2611 Taft Ave, Barangay 68, Pasay City'}, {'pickup_location': [Decimal('14.6325757800000250'), Decimal('121.01065540300010')], 'pickup_address': 'Fishermall, Diliman, Quezon City', 'pickup_window': [32400, 36000], 'ref': '37350', 'order_time': 0, 'delivery_window': [39600, 46800], 'capacity': 2, 'coordinates': [Decimal('14.6155246340000530'), Decimal('120.97905042200011')], 'address': '1838 Yakal St, Manila, 237'}, {'pickup_location': [Decimal('14.6325757800000250'), Decimal('121.01065540300010')], 'pickup_address': 'Fishermall, Diliman, Quezon City', 'pickup_window': [32400, 36000], 'ref': '37351', 'order_time': 0, 'delivery_window': [39600, 46800], 'capacity': 2, 'coordinates': [Decimal('14.6155246340000530'), Decimal('120.97905042200011')], 'address': '1838 Yakal St 237, Manila'}, {'pickup_location': [Decimal('14.6325757800000250'), Decimal('121.01065540300010')], 'pickup_address': 'Fishermall, Diliman, Quezon City', 'pickup_window': [32400, 36000], 'ref': '37352', 'order_time': 0, 'delivery_window': [39600, 46800], 'capacity': 1, 'coordinates': [Decimal('14.5787976350000580'), Decimal('121.10575510400008')], 'address': '18 Molave St., Marietta-Romeo Village, Brgy Sta Lucia, Pasig'}, {'pickup_location': [Decimal('14.6325757800000250'), Decimal('121.01065540300010')], 'pickup_address': 'Fishermall, Diliman, Quezon City', 'pickup_window': [32400, 36000], 'ref': '37353', 'order_time': 0, 'delivery_window': [39600, 46800], 'capacity': 1, 'coordinates': [Decimal('14.6621206370000440'), Decimal('121.02358318200004')], 'address': '86E Cotabato St.\nBago Bantay\nAlicia, Quezon City'}, {'pickup_location': [Decimal('14.6325757800000250'), Decimal('121.01065540300010')], 'pickup_address': 'Fishermall, Diliman, Quezon City', 'pickup_window': [32400, 36000], 'ref': '37354', 'order_time': 0, 'delivery_window': [39600, 46800], 'capacity': 1, 'coordinates': [Decimal('14.5904909130000530'), Decimal('120.96817542000008')], 'address': 'blk 10 lot 22 model community Tondo manila'}, {'pickup_location': [Decimal('14.6325757800000250'), Decimal('121.01065540300010')], 'pickup_address': 'Fishermall, Diliman, Quezon City', 'pickup_window': [32400, 36000], 'ref': '37355', 'order_time': 0, 'delivery_window': [39600, 46800], 'capacity': 1, 'coordinates': [Decimal('14.6074600000000600'), Decimal('121.04810000000009')], 'address': 'Unit 702 Le Gran Condominium Eisenhower St. Greenhills, San Juan'}, {'pickup_location': [Decimal('14.6325757800000250'), Decimal('121.01065540300010')], 'pickup_address': 'Fishermall, Diliman, Quezon City', 'pickup_window': [32400, 36000], 'ref': '37356', 'order_time': 0, 'delivery_window': [39600, 46800], 'capacity': 2, 'coordinates': [Decimal('14.6155246340000530'), Decimal('120.97905042200011')], 'address': '1838 Yakal St 237, Manila'}, {'pickup_location': [Decimal('14.6325757800000250'), Decimal('121.01065540300010')], 'pickup_address': 'Fishermall, Diliman, Quezon City', 'pickup_window': [32400, 36000], 'ref': '37357', 'order_time': 0, 'delivery_window': [39600, 46800], 'capacity': 2, 'coordinates': [Decimal('14.6155246340000530'), Decimal('120.97905042200011')], 'address': '1838 Yakal St 237, Manila'}, {'pickup_location': [Decimal('14.6325757800000250'), Decimal('121.01065540300010')], 'pickup_address': 'Fishermall, Diliman, Quezon City', 'pickup_window': [32400, 36000], 'ref': '37358', 'order_time': 0, 'delivery_window': [39600, 46800], 'capacity': 2, 'coordinates': [Decimal('14.6095920000000770'), Decimal('120.96974025000009')], 'address': '1320 B-45 Cp. Garcia St. Moriones Tondo, Manila'}, {'pickup_location': [Decimal('14.6325757800000250'), Decimal('121.01065540300010')], 'pickup_address': 'Fishermall, Diliman, Quezon City', 'pickup_window': [32400, 36000], 'ref': '37359', 'order_time': 0, 'delivery_window': [39600, 46800], 'capacity': 2, 'coordinates': [Decimal('14.3838700000000590'), Decimal('121.02494000000002')], 'address': 'Upper Prinza street Poblacion, Muntinlupa City 1770'}, {'pickup_location': [Decimal('14.6325757800000250'), Decimal('121.01065540300010')], 'pickup_address': 'Fishermall, Diliman, Quezon City', 'pickup_window': [32400, 36000], 'ref': '37361', 'order_time': 0, 'delivery_window': [39600, 46800], 'capacity': 1, 'coordinates': [Decimal('14.5451057690000310'), Decimal('121.04555178600003')], 'address': 'Fairways Towers 5th Avenue corner McKinley Road, Taguig\nUnit N 15A/15/Fairways Towers'}, {'pickup_location': [Decimal('14.6325757800000250'), Decimal('121.01065540300010')], 'pickup_address': 'Fishermall, Diliman, Quezon City', 'pickup_window': [32400, 36000], 'ref': '37362', 'order_time': 0, 'delivery_window': [39600, 46800], 'capacity': 1, 'coordinates': [Decimal('14.6095920000000770'), Decimal('120.96974025000009')], 'address': '1310 cp garcia st. moriones tondo manila'}, {'pickup_location': [Decimal('14.6325757800000250'), Decimal('121.01065540300010')], 'pickup_address': 'Fishermall, Diliman, Quezon City', 'pickup_window': [32400, 36000], 'ref': '37363', 'order_time': 0, 'delivery_window': [39600, 46800], 'capacity': 2, 'coordinates': [Decimal('14.6095920000000770'), Decimal('120.96974025000009')], 'address': '1320 B-45 Cp. Garcia St. Moriones Tondo, Manila'}, {'pickup_location': [Decimal('14.6325757800000250'), Decimal('121.01065540300010')], 'pickup_address': 'Fishermall, Diliman, Quezon City', 'pickup_window': [32400, 36000], 'ref': '37364', 'order_time': 0, 'delivery_window': [39600, 46800], 'capacity': 1, 'coordinates': [Decimal('14.5927169710000730'), Decimal('121.00426039700005')], 'address': '2176 Jesus St pandacan manila, barangay 848/6'}, {'pickup_location': [Decimal('14.6325757800000250'), Decimal('121.01065540300010')], 'pickup_address': 'Fishermall, Diliman, Quezon City', 'pickup_window': [32400, 36000], 'ref': '37365', 'order_time': 0, 'delivery_window': [39600, 46800], 'capacity': 1, 'coordinates': [Decimal('14.6812304560000370'), Decimal('121.10085310300008')], 'address': '156 Session Road, Garland Subdivision, Talanay Area B. , Quezon City\n\nBatasan Hills'}, {'pickup_location': [Decimal('14.6325757800000250'), Decimal('121.01065540300010')], 'pickup_address': 'Fishermall, Diliman, Quezon City', 'pickup_window': [32400, 36000], 'ref': '37366', 'order_time': 0, 'delivery_window': [39600, 46800], 'capacity': 2, 'coordinates': [Decimal('14.6155246340000530'), Decimal('120.97905042200011')], 'address': '1838 Yakal St 237, Manila'}], (39600, 43200): [{'pickup_location': [Decimal('14.6325757800000250'), Decimal('121.01065540300010')], 'ref': '0', 'order_time': 0, 'delivery_window': [39600, 43200], 'capacity': 0, 'coordinates': [Decimal('14.6325757800000250'), Decimal('121.01065540300010')], 'address': 'Fishermall, Diliman, Quezon City'}, {'pickup_location': [Decimal('14.6325757800000250'), Decimal('121.01065540300010')], 'pickup_address': 'Fishermall, Diliman, Quezon City', 'pickup_window': [39600, 43200], 'ref': '37344', 'order_time': 0, 'delivery_window': [46800, 57600], 'capacity': 2, 'coordinates': [Decimal('14.5784100000000760'), Decimal('121.04644000000008')], 'address': '4H Anaheim 2, California Garden Square, D.M. Guevara St., Highway Hills, Mandaluyong\nnull'}, {'pickup_location': [Decimal('14.6325757800000250'), Decimal('121.01065540300010')], 'pickup_address': 'Fishermall, Diliman, Quezon City', 'pickup_window': [39600, 43200], 'ref': '37360', 'order_time': 0, 'delivery_window': [46800, 57600], 'capacity': 1, 'coordinates': [Decimal('14.4791400000000300'), Decimal('121.03069000000005')], 'address': '45 Lebanon Street, Better Living Subdivision Section 3, Don Bosco, Paranaque'}]}}

drivers4 = [{'id': 12465, 'time_slots': [[32400, 64800]], 'capacity': 3, 'speed': 50}, 
            {'id': 12466, 'time_slots': [[32400, 64800]], 'capacity': 3, 'speed': 50}, 
            {'id': 12467, 'time_slots': [[32400, 64800]], 'capacity': 3, 'speed': 50}, 
            {'id': 12468, 'time_slots': [[32400, 64800]], 'capacity': 3, 'speed': 50}, 
            {'id': 12469, 'time_slots': [[32400, 64800]], 'capacity': 3, 'speed': 50}, 
            {'id': 12470, 'time_slots': [[32400, 64800]], 'capacity': 3, 'speed': 50}, 
            {'id': 12471, 'time_slots': [[32400, 64800]], 'capacity': 3, 'speed': 50}, 
            {'id': 12472, 'time_slots': [[32400, 64800]], 'capacity': 3, 'speed': 50}, 
            {'id': 12473, 'time_slots': [[32400, 64800]], 'capacity': 3, 'speed': 50}, 
            {'id': 12474, 'time_slots': [[32400, 64800]], 'capacity': 3, 'speed': 50}, 
            {'id': 12475, 'time_slots': [[32400, 64800]], 'capacity': 3, 'speed': 50},
            {'id': 12476, 'time_slots': [[32400, 64800]], 'capacity': 3, 'speed': 50}, 
            {'id': 12477, 'time_slots': [[32400, 64800]], 'capacity': 3, 'speed': 50}, 
            {'id': 12478, 'time_slots': [[32400, 64800]], 'capacity': 3, 'speed': 50}, 
            {'id': 12479, 'time_slots': [[32400, 64800]], 'capacity': 3, 'speed': 50}, 
            {'id': 12480, 'time_slots': [[32400, 64800]], 'capacity': 3, 'speed': 50}, 
            {'id': 12481, 'time_slots': [[32400, 64800]], 'capacity': 3, 'speed': 50}, 
            {'id': 12482, 'time_slots': [[32400, 64800]], 'capacity': 3, 'speed': 50}, 
            {'id': 12483, 'time_slots': [[32400, 64800]], 'capacity': 3, 'speed': 50}, 
            {'id': 12484, 'time_slots': [[32400, 64800]], 'capacity': 3, 'speed': 50}, 
            {'id': 12485, 'time_slots': [[32400, 64800]], 'capacity': 3, 'speed': 50}, 
            {'id': 12486, 'time_slots': [[32400, 64800]], 'capacity': 3, 'speed': 50}, 
            {'id': 12487, 'time_slots': [[32400, 64800]], 'capacity': 3, 'speed': 50}, 
            {'id': 12488, 'time_slots': [[32400, 64800]], 'capacity': 3, 'speed': 50}, 
            {'id': 12489, 'time_slots': [[32400, 64800]], 'capacity': 3, 'speed': 50}, 
            {'id': 12490, 'time_slots': [[32400, 64800]], 'capacity': 3, 'speed': 50}, 
            {'id': 12491, 'time_slots': [[32400, 64800]], 'capacity': 3, 'speed': 50}, 
            {'id': 12492, 'time_slots': [[32400, 64800]], 'capacity': 3, 'speed': 50}, 
            {'id': 12493, 'time_slots': [[32400, 64800]], 'capacity': 3, 'speed': 50}]
